### v4.15.1

Pancake is ready for PHP 8.1. If you can upgrade to PHP 8.1, feel free to do it. Pancake now requires at least PHP 7.4 in order to run.

* [Bugfix] Fixes an issue that caused problems with sending emails in some installations.
* [Bugfix] Fixes an issue that caused problems with viewing PDFs in some installations.
* [Bugfix] Fixes an issue with the Spanish translation for Pancake.

### v4.15.0

Pancake is ready for PHP 8.1. If you can upgrade to PHP 8.1, feel free to do it. Pancake now requires at least PHP 7.4 in order to run.

* [Feature] Clients can now reset their client area passwords - finally.
* [Improvement] If you want to have a client area passphrase but still allow clients to view their invoices without having to type it in, there is now a setting for that on the client creat/edit page.
* [Improvement] Adds support for running Pancake in servers where PHP does not have the `ctype` extension.
* [Improvement] Updates the Spanish translation for Pancake.
* [Bugfix] Fixes an issue with updating Pancake in servers where `set_time_limit` has been removed.
* [Bugfix] Fixes an issue with creating email reminders without specifying their day range.
* [Bugfix] Fixes an issue with the translation of tax settings.
* [Bugfix] Fixes an issue that could prevent General User users from accessing Pancake in certain situations.
* [Bugfix] Fixes an issue with accessing the Clients page if a user had previously been deleted.
* [Bugfix] Fixes an issue with rendering PDFs in some cases.

### v4.14.5

* [Bugfix] Fixes an issue with the previous release.

### v4.14.4

If you're having problems sending emails after updating to 4.14.4, try doing a manual update: [How to perform a manual update](https://www.pancakeapp.com/faq/manual-update)

* [Bugfix] Fixes an issue that could happen when sending email via Gmail.
* [Bugfix] Fixes an issue with accessing the Pancake dashboard in certain environments.

### v4.14.3

* [Bugfix] Fixes an issue that prevented Pancake from running in PHP 7.4.

### v4.14.2

* [Improvement] If a client has a passphrase set for their client area, it will now be required when viewing invoices and estimates.
* [Improvement] Tax numbers / IDs will now show up below your & the client's address.
* [Improvement] Adds support for creating invoices via the API without supplying a payment schedule.
* [Improvement] Drastically improves the performance of the "All Client Activity" page.
* [Bugfix] Fixes an issue with importing time entries from CSVs.
* [Bugfix] Fixes an issue with exporting invoice CSVs.
* [Bugfix] Fixes an issue with adding expenses to projects.
* [Bugfix] Fixes an issue that prevented clients from viewing invoice, task, proposal, and project comments in their client area when running Pancake in PHP 8.0.
* [Bugfix] Fixes an issue with creating new taxes via the API.
* [Bugfix] Fixes an issue with creating invoices via the API.
* [Bugfix] Fixes an issue with using your own Google Developer account for authentication with the Gmail API.

### v4.14.1

If you're having problems updating your Pancake to 4.14 or higher, try doing a manual update: [How to perform a manual update](https://www.pancakeapp.com/faq/manual-update)

* [Bugfix] Fixes an issue that could cause Pancake plugin settings to disappear.
* [Bugfix] Fixes an issue with accepting Stripe payments from clients with multiple email addresses in their record.
* [Bugfix] Fixes an issue with installing big Pancake updates on servers with a low MySQL `innodb_log_file_size` limit.
* [Bugfix] Fixes an issue that prevented clients from viewing invoice comments in their client area when running Pancake in PHP 8.0.
* [Bugfix] Fixes an issue with installing Pancake 4.14.

### v4.14.0

Pancake is ready for PHP 8.0. If you can upgrade to PHP 8.0, feel free to do it.

* [Feature] You can now accept payments with Stripe while complying with SCA. The Stripe payment gateway was rebuilt, and clients can now choose whether or not they want to store their payment details for future charges.
* [Feature] Pancake is now available in Catalan!
* [Improvement] Upgrades Pancake to be compatible with PHP 8.0. Work is underway to make it compatible with PHP 8.1.
* [Improvement] We've dropped Simpletags in emails. What that means is that you should use variables like {{invoice.first_name}} and not {invoice:first_name} in your emails. Existing email templates will be updated automatically.
* [Bugfix] Fixes an issue with time entries logged as ":05".
* [Bugfix] Fixes an issue with the Time Entry Rounding setting being set to ":05".
* [Bugfix] Fixes an issue that could prevent Stripe payments from going through correctly.
* [Bugfix] Fixes an issue with the permissions system when a user has tens of thousands of items assigned to them.

### v4.13.29

**This is a security update, please install as quickly as possible.**

We've been working on some big updates, which have held up releases, but going forward we will be launching a series of 4.13.x updates to resolve minor issues until the next big update to Pancake is ready.

* [Bugfix] Fixes a security issue that allowed an attacker to forge session cookies to gain access to a Pancake account.
* [Bugfix] Fixes an issue with the list of timezones in Pancake.
* [Bugfix] Fixes an issue with the handling of currencies when the currency code was entered in lowercase.

### v4.13.28

We've been working on some big updates, which have held up releases, but going forward we will be launching a series of 4.13.x updates to resolve minor issues until the next big update to Pancake is ready.

* [Bugfix] Pancake now requires at least PHP 7.1 in order to run. In a previous update this was mentioned but Pancake didn't alert you if you were on a lower version of PHP.

### v4.13.27

We've been working on some big updates, which have held up releases, but going forward we will be launching a series of 4.13.x updates to resolve minor issues until the next big update to Pancake is ready.

* [Bugfix] Makes the cURL extension required for all Pancake users. We already required it when installing Pancake, so it should just always be enabled.

### v4.13.26

Pancake now requires at least PHP 7.1 in order to run.

We've been working on some big updates, which have held up releases, but going forward we will be launching a series of 4.13.x updates to resolve minor issues until the next big update to Pancake is ready.

* [Improvement] In the past, if a server didn't have the cURL extension and you were trying to accept payments with Stripe, Pancake would not know how to handle it. It now tells you what's going on and how you can resolve it.
* [Bugfix] Fixes an issue with loading invoice PDFs.

### v4.13.25

We've been working on some big updates, which have held up releases, but going forward we will be launching a series of 4.13.x updates to resolve ongoing issues that are preventing people from using Pancake normally.

* [Bugfix] Fixes an issue with sending email via Amazon's SES service.
* [Bugfix] Fixes an issue with running Pancake in PHP 7.4.
* [Bugfix] Fixes an issue that prevented some clients from viewing their client area.

### v4.13.24

* [Bugfix] Fixes a compatibility issue that was causing problems with custom themes.

### v4.13.23

* [Improvement] Pancake now includes support for CJK (Chinese/Japanese/Korean) characters in PDFs.
* [Bugfix] Fixes an issue causing problems with time entries in invoices.
* [Bugfix] Fixes an issue preventing logos from appearing in PDFs.

### v4.13.22

Pancake now requires at least PHP 5.6 in order to run.

* [Improvement] In the past, if a server didn't have the mbstring or iconv extensions, Pancake would not know how to handle it. It now tells you what's going on and how you can resolve it.
* [Improvement] Trying to access client area links that didn't match a client used to throw a "page not found" error. Pancake now simply displays the normal login screen so your client can still log into their client area.
* [Improvement] Time entries associated with flat rate tasks now appear as billed if the flat rate task has been included in an invoice.
* [Improvement] Improves Pancake's compatibility with some nginx server configurations.
* [Bugfix] Fixes an issue with handling empty invoice line item quantities in recent PHP versions.
* [Bugfix] Fixes an issue with displaying notifications for user activity in recent PHP versions.
* [Bugfix] Fixes an issue that caused problems with third-party admin themes.
* [Bugfix] Fixes an issue that could cause performance issues when creating new invoices or estimates if Pancake had a lot of projects / time entries.
* [Bugfix] Fixes an issue with handling empty partial payment amounts in recent PHP versions.
* [Bugfix] Fixes an issue that could cause Pancake settings not to load properly on the Settings page.
* [Bugfix] Fixes an issue with processing payment plans in certain situations.

### v4.13.21

* [Bugfix] Fixes an issue preventing time entries from appearing in invoices.

### v4.13.20

Pancake is ready for PHP 7.3. If you can upgrade to PHP 7.3, feel free to do it.

* [Improvement] Deleting a task with sub-tasks will now delete all sub-tasks as well.
* [Improvement] Improves Pancake's performance dramatically while creating/editing invoices, when the system has a lot of projects / tasks / time entries.
* [Improvement] Pancake will now cache web fonts used in PDFs to make sure that they remain available even if your server is having trouble fetching them over the internet.
* [Improvement] Improves Pancake's compatibility with some nginx server configurations.
* [Bugfix] Fixes an issue that could cause ticket notifications not to be emailed to an admin.
* [Bugfix] Fixes an issue that caused sub-tasks to disappear (but not be deleted) if you deleted the main task.
* [Bugfix] Fixes an issue that could cause errors with running updates.
* [Bugfix] Fixes an issue with generating PDFs.

### v4.13.19

We're working on Pancake 4.14, which will be coming out in the next few weeks; this is a quick bugfix release to resolve a couple of issues preventing people from using Pancake normally.

* [Bugfix] Fixes an issue that occurred on certain server configurations, when running Pancake in the 'admin' subdomain.
* [Bugfix] Fixes an issue with installing Pancake.
* [Bugfix] Fixes an issue with updating Pancake.

### v4.13.18

* [Improvement] The Pancake Timer app no longer shows archived projects.
* [Improvement] Adds the ability to specify whether transaction fees are taxable or not.
* [Bugfix] Fixes an issue that could cause problems with viewing clients' credit balance on their profile.
* [Bugfix] Fixes an issue that prevented the Expenses report from showing any expenses in some cases.
* [Bugfix] Fixes an issue that allowed invalid characters to be used in filenames when downloading PDFs.
* [Bugfix] Fixes an issue that was causing tax settings not to save correctly when updating client details.
* [Bugfix] Fixes an issue with the calculation of transaction fee totals when fees are taxable.

### v4.13.17

* [Bugfix] Fixes an issue that caused problems installing the previous update.

### v4.13.16

* [Bugfix] Fixes an issue that could cause an arrow to appear beside a line item's name on the Flat Pancake theme.
* [Bugfix] Fixes an issue that could cause payment gateway settings not to appear correctly.

### v4.13.15

Pancake is ready for PHP 7.2. If you can upgrade to PHP 7.2, feel free to do it.

* [Bugfix] Fixes an issue with running Pancake in some server configurations.

### v4.13.14

* [Improvement] Improves performance when viewing clients and marking invoices as paid in Pancake installations with over 100K invoices.
* [Bugfix] Fixes an issue with installing Pancake.
* [Bugfix] Fixes an issue with the rounding of the 'Total Amount' shown when creating an invoice.
* [Bugfix] Fixes an issue with viewing the documentation for email variables in languages other than English.
* [Bugfix] Fixes an issue that caused Pancake to try to generate new recurrences for estimates if you converted a recurring invoice into an estimate.

### v4.13.13

* [Bugfix] Fixes an issue that could cause problems with viewing PDFs.

### v4.13.12

* [Bugfix] Fixes an issue with showing reports for dates prior to 2001.
* [Bugfix] Fixes an issue with importing clients.
* [Bugfix] Fixes an issue with importing invoices with no date from Bamboo to Pancake.
* [Bugfix] Fixes an issue that was making the "Remittance Slip" section show up in invoice PDFs even when disabled in Settings.
* [Bugfix] Fixes an issue that caused a scrollbar to show up on every Pancake page, regardless of height.
* [Bugfix] Fixes an issue with running Pancake on Windows servers.
* [Bugfix] Fixes an issue that was preventing Pancake from sending emails with subject lines longer than 255 characters.
* [Bugfix] Fixes an issue with our currency conversion system, when setting currency rates in Settings.

### v4.13.11

* [Bugfix] Fixes an issue that could cause problems with viewing PDFs in some server configurations.

### v4.13.10

* [Bugfix] Fixes an issue that could cause problems with viewing PDFs.
* [Bugfix] Fixes an issue that stopped you from disabling 'Remittance Slips' in Settings > Business Identities.

### v4.13.9

* [Bugfix] Fixes an issue with rounding time entries, caused by the last update.

### v4.13.8

* [Improvement] You can now import XML files by matching up columns in the XML file with the right columns in Pancake's database.
* [Improvement] You can now use the variables available in emails for the Remittance Slip and PDF Footer settings.
* [Improvement] You can now access documentation on all the available variables for emails.
* [Improvement] Adds the ability to set different remittance slips for each business identity.
* [Improvement] Invoices on the Reminders page are now sorted oldest-first.
* [Improvement] Added support for longer task names (previously 255 characters, now 1024).
* [Improvement] The Dashboard now shows the rounded total of all logged time entries, so you know how much you're billing.
* [Bugfix] Fixes an issue that was causing problems with importing expenses.
* [Bugfix] Fixes an issue with creating comments in the discussion area.
* [Bugfix] Trying to access the PDF of a non-existing invoice will no longer show any errors, and will instead redirect you to the login page.
* [Bugfix] Fixes an issue with Pancake's handling time entries using military time (like 2100).
* [Bugfix] Fixes an issue that could cause problems for some third-party payments gateways trying to accept payments.
* [Bugfix] Fixes an issue that caused the "Recurrence of a recurring invoice?" field to display the invoice number incorrectly, when exporting invoices.
* [Bugfix] Fixes an issue with creating/editing project tasks when MySQL Strict Mode is turned on and the hourly/flat rate field is left empty.
* [Bugfix] Fixes an issue with accessing estimates associated with projects that no longer exist.

### v4.13.7

* [Feature] You can now set your own PDF footers that show up on every page of your invoices, estimates and credit notes.
* [Feature] You can now import clients from ProProfs (formerly Project Bubble).
* [Improvement] Pancake's import system will now try to auto-match columns for you when you're importing a CSV. If you have any suggestions or feedback on this, please let us know.
* [Bugfix] Fixes an issue that in some cases could cause an error while trying to save plugin settings.
* [Bugfix] Fixes an issue that prevented Pancake from showing the "No Internet Access" error message if there was a problem connecting to another server.
* [Bugfix] Fixes an issue that prevented Pancake from showing update errors if more than 10 files failed to update.
* [Bugfix] Fixes an issue that caused Unique IDs to be case-insensitive. They are now case-sensitive.
* [Bugfix] Fixes an issue with running Pancake in PHP 7.2.
* [Bugfix] Fixes an issue with resetting passwords on the 'Forgot Password' page.
* [Bugfix] Fixes an issue with loading pages in Pancake in some server configurations.
* [Bugfix] Fixes an issue with exporting CSVs in Pancake.
* [Bugfix] Fixes an issue that allowed uploads of any file type in the Discussion Area regardless of the "Allowed File Extensions" setting.
* [Bugfix] Fixes an issue that was causing Pancake to incorrectly update the "Rounded" column of all time entries when editing a time entry.

### v4.13.6

* [Feature] Adds support for period-based invoice items (e.g. X days, X weeks).
* [Improvement] Adds support for importing clients with multiple email addresses.
* [Improvement] Pancake now displays a client's website next to their name when viewing them.
* [Improvement] There's now a 'Create Credit Note' button in the top navigation bar.
* [Bugfix] Fixes several issues with running Pancake in PHP 7.2.
* [Bugfix] Fixes an issue that caused no default taxes to be selected until selecting a client, when creating an invoice.
* [Bugfix] Fixes an issue that could prevent PayPal payments from completing successfully in some cases.
* [Bugfix] Fixes an issue that prevented the Custom Numbers plugin from generating custom invoice numbers in some cases.
* [Bugfix] Fixes an issue with the notification Pancake displays after creating a credit note.

### v4.13.5

* [Feature] Pancake is now available in Danish!
* [Improvement] The model_insert plugin hook now works with discussion area comments.
* [Bugfix] Fixes an issue with loading the dashboard in some installations.
* [Bugfix] Fixes an issue with processing form submissions in server configurations that don't handle them automatically.
* [Bugfix] Fixes a PHP 7.1 issue with storing invoices when the discount field has no value (not even 0).
* [Bugfix] Fixes an issue that could cause Pancake to fail with non-standard SMTP hosts.
* [Bugfix] Fixes an issue that was stopping Pancake from using the default tax settings when creating new invoices.
* [Bugfix] Fixes an issue that was stopping Pancake from detecting per-client transaction fee settings.

### v4.13.4

* [Improvement] Makes the "This part of your invoice's payment schedule has been paid." shorter and more to the point.
* [Improvement] Archived invoices will no longer reoccur, auto-send, or auto-charge regardless of their settings.
* [Improvement] Invoices past their due date will now show up as 'Overdue' regardless of their 'Sent' status.
* [Improvement] If you have more than one business identity, Pancake will now show you which identity a client is associated with, on the 'View Client' page.
* [Improvement] The Snapshot in the Dashboard no longer includes Credit Balance payments.
* [Improvement] Restricts the permissions requested when connecting your Gmail account to Pancake.
* [Improvement] Custom payment gateways can now have checkbox and select fields, in addition to text fields.
* [Improvement] Adds a new "Direct Deposit" payment method, similar to "Bank Transfer".
* [Bugfix] Fixes an issue with sending email via DreamHost's SMTP servers.
* [Bugfix] Fixes an issue with the appearance of estimates in proposal PDFs.
* [Bugfix] Fixes an issue with the 'Forgot Password' page.
* [Bugfix] Fixes an issue that caused problems with displaying paid/unpaid totals in the client area on some installations.
* [Bugfix] Fixes an issue with the display of 'Upcoming Invoices' in the dashboard. Pancake now displays the oldest outstanding invoices first.
* [Bugfix] Fixes an issue with creating new invoices in some installations.
* [Bugfix] Fixes an issue with the CSS/JS editors not appearing correctly in some cases, in Settings > Branding.

### v4.13.3

* [Improvement] Any archived invoices, estimates or proposals marked as "Don't show in client area" will no longer be accessible to clients via their link. If you need your client to be able to view it, mark it as viewable in their client area, or unarchive it.
* [Bugfix] Fixes an isue with accepting payments in some situations.
* [Bugfix] Fixes an issue with running Pancake when your server does not have the php-mysqli extension.

### v4.13.2

* [Bugfix] Fixes an issue with creating clients.
* [Bugfix] Fixes an issue with selecting taxes for invoice items.
* [Bugfix] Fixes an issue with editing payment methods for invoices.

### v4.13.1

* [Bugfix] Fixes an issue with viewing recurrences of invoices.

### v4.13.0

* [Feature] View reports for each of your business identities in Pancake.
* [Feature] Set different payment gateway settings for each business identity.
* [Feature] Set payment surcharges for each payment gateway. Pancake will add your surcharge to the client's payment, and when they pay, it will automatically create a new invoice for the surcharge amount, and automatically mark it as paid, to make sure that all your surcharges are correctly accounted for.
* [Improvement] Adds the ability to set the default invoice/project/estimate currency on a per-client basis.
* [Improvement] Adds the ability to set the default invoice/project/estimate taxes to use on a per-client basis.
* [Improvement] Adds the ability to set different invoice notes for each business identity.
* [Improvement] Adds the ability to set custom surcharge percentages on a per-client basis, via Custom Fields (more information in Settings > Payments).
* [Improvement] Record-keeping-only gateways such as Cash and Check no longer appear in Settings > Payments, and are always shown when going to mark an invoice as paid.
* [Improvement] The client area will now display your clients' totals based on their default currency.
* [Improvement] The 'Project' dropdown, on the 'Add Expense' form, is now ordered alphabetically.
* [Improvement] For theme developers, the login page was moved to the frontend theme to make it easier to style the entire frontend.
* [Bugfix] Fixes an issue that could be used by a client to discover the names of other clients in the system.
* [Bugfix] Fixes an issue with displaying the updated 'Rounded' time after editing project timesheet entries.
* [Bugfix] Fixes an issue that caused client filters to be stuck in the same client even after navigating away to other, unrelated pages.
* [Bugfix] Fixes an issue that caused Pancake not to show project totals correctly for flat rate tasks with no time logged against them.
* [Bugfix] Fixes an issue that prevented Pancake from working correctly if there were custom files and folders in the 'migrations' folder.
* [Bugfix] Fixes an issue that made Pancake re-assign timers to the user that stopped them.
* [Bugfix] Fixes an issue with the appearance of the Expenses table if you have long Project/Category/Supplier names.
* [Bugfix] Fixes an issue with marking invoices as paid when using custom themes from older versions of Pancake.
* [Bugfix] Fixes an issue that caused Pancake to sometimes show '-$0.00' instead of just '$0.00'.
* [Bugfix] Fixes an issue with connecting to AOL SMTP servers.
* [Bugfix] Fixes an issue with exporting Pancake's data when the server's temp folder is not writable.
* [Bugfix] Fixes an issue with viewing report CSVs when the server's temp folder is not writable.
* [Bugfix] Fixes an issue that could cause Pancake to slow down when displaying errors in the Errors & Diagnostics page.
* [Bugfix] Fixes an issue with updating the 'Auto Send' setting of invoices.

### v4.12.31

* [Improvement] Adds support for importing Bamboo Invoice exports from a very old Bamboo Invoice version.
* [Bugfix] Fixes an issue that was preventing Pancake from loading Google Fonts fonts in PDFs.

### v4.12.30

* [Improvement] All modal dialogs will now load significantly faster.
* [Improvement] Modal dialogs will no longer close automatically and lose what you typed when you accidentally click outside of them.
* [Bugfix] Fixes an issue with the display of the estimates table in the client area.
* [Bugfix] Fixes an issue that stopped the 'X' button from working in the "Filter Expenses" modal dialog.
* [Bugfix] Fixes an issue that prevented Stripe from working correctly on some servers.

### v4.12.29

* [Bugfix] Fixes an issue with viewing user timesheets.

### v4.12.28

* [Improvement] The Timesheets page will now display the start/end time of all time entries.
* [Improvement] Adds a new plugin hook (decide_should_record_view) to allow plugins to fully customise whether or not to record invoice/proposal views (e.g. disable recording views for archived invoices).
* [Improvement] Adds better handling for temporary errors on Google's side while trying to send email with Gmail.
* [Bugfix] Fixes an issue with the appearance of the 'tax rate' dropdown.
* [Bugfix] Fixes a PHP 7.1 issue with redirecting back to the invoices list after sending an email.

### v4.12.27

* [Improvement] You can now edit and delete discussion area comments.
* [Improvement] Pancake's Clients Export will now include Tax ID numbers, as well as all custom fields.
* [Improvement] The Timesheets page will now display the date of time entries, as well as the rounded-up duration of each time entry.
* [Improvement] Adds a warning when trying to store payments for invoices without selecting a payment gateway.
* [Improvement] Improves Pancake's handling of situations where the server's temp folder is not writable.
* [Improvement] Adds a "Back To Project" button to the discussion area.
* [Improvement] Adds a new plugin hook (decide_poll_interval) to allow plugins to customise the delay in seconds between Pancake's checks for new app notifications.
* [Bugfix] Fixes an issue that caused a scroll bar to appear in the discussion area's comments section.
* [Bugfix] Fixes an issue with attaching receipts to expenses from within the Projects page.
* [Bugfix] Fixes an issue with trying to delete an invoice that doesn't exist.
* [Bugfix] Fixes an issue that prevented Pancake from showing some values in plugin settings, despite them being saved correctly.

### v4.12.26

* [Improvement] Adds alerts for when your server is missing some PHP extensions it requires in order to run.
* [Improvement] Adds more information on how to manually set your PHP version, if your server is running PHP lower than 5.5.
* [Improvement] If you have more than one user in your system, the order of the "Quick Add" inputs is now reversed, to make it easier to just hit Enter when you're done typing (since you'll select the assignee first).

### v4.12.25

* [Bugfix] Fixes an issue with setting Pancake's timezone to 'Buenos Aires', 'Indianapolis', 'Calcutta', 'Katmandu' or 'Rangoon', in newer versions of PHP.
* [Bugfix] Fixes an issue that could cause a redirect loop in the "client area" routing if your installation is older than Pancake 4.7.
* [Bugfix] Fixes a problem with charts breaking in the Reports page if you were using the 'myProspector' Chrome extension.
* [Bugfix] Makes the search engine handle a couple of edge cases more gracefully.
* [Bugfix] Fixes an issue where duplicating an archived invoice would make the new invoice also be archived by default.
* [Bugfix] Fixes an issue that caused archived invoices, projects and proposals to appear in the client area.
* [Bugfix] Fixes several issues with General User permissions for expenses.

### v4.12.24

* [Improvement] URLs in invoice item descriptions will now automatically show up as links.
* [Bugfix] Fixes an issue with installing Pancake on MySQL 5.5+.
* [Bugfix] Fixes an issue with a bit of text that was not possible to translate to other languages.
* [Bugfix] Fixes an issue with dealing with failed uploads.
* [Bugfix] Fixes an issue that could cause problems with caching templates.
* [Bugfix] Fixes an issue with editing project tasks when MySQL Strict Mode is turned on and the "projected hours" field is left empty.
* [Bugfix] Fixes an issue with time entry rounding in some rare cases.
* [Bugfix] Fixes an issue with upgrading from Pancake 4.1 on some server configurations.
* [Bugfix] Fixes an issue with sending email with Gmail when using your own Google Developer Account for handling oAuth authorisations.
* [Bugfix] Fixes an issue with viewing PDFs when your server requires '/index.php?/' to be added to every URL, and your business identity has a logo.
* [Bugfix] Fixes an issue that prevented proposal numbers from containing non-numberic characters.

### v4.12.23

* [Bugfix] Fixes an issue that could cause excessive bandwidth usage for notifications in Pancake.
* [Bugfix] Fixes an issue with receiving payments via PayPal on PHP 5.5.
* [Bugfix] Fixes an issue with viewing invoice PDFs in PHP 7.1.
* [Bugfix] Fixes an issue with trying to delete the same task twice.

### v4.12.22

* [Improvement] Adds a WYSIWYG editor for comments in the discussion area.
* [Improvement] URLs in expenses' descriptions are now converted into clickable links automatically.
* [Bugfix] Fixes an issue with the count of archived credit notes.
* [Bugfix] Fixes an issue with the display of email addresses in comments in the discussion area.
* [Bugfix] Fixes an issue that could cause the subjects of emails for comment notifications to contain HTML.
* [Bugfix] Fixes an issue with creating invoices when MySQL Strict Mode is turned on and the "send x days before" field was emptied out on purpose.
* [Bugfix] Fixes an issue that was preventing people from using many multiple long email addresses for the client email address field.
* [Bugfix] Fixes an issue with the display of expenses with long URLs in the description.
* [Bugfix] Fixes an issue that could in some cases cause problems with viewing notifications.

### v4.12.21

* [Feature] There are now in-Pancake notifications for new tickets, responses to tickets, and updates to tickets' statuses.
* [Bugfix] Improves Pancake's handling of errors when sending emails.
* [Bugfix] Fixes an issue that could sometimes cause problems with loading the client area.

### v4.12.20

* [Bugfix] Fixes an issue with the display of hours in the Timesheets page.
* [Bugfix] Fixes an issue with setting AM/PM when using 12 o'clock the "Start Time" field, when adding time manually.

### v4.12.19

* [Bugfix] Fixes an issue that could cause problems with deleting projects using the gear menu link.
* [Bugfix] The client area dashboard will now respect the "Time Entry Rounding" setting and display only the rounded totals for each task.
* [Bugfix] Fixes an issue with notifying clients of ticket invoices when the invoice had already been created but not yet sent.
* [Bugfix] Fixes an issue with general users not being redirected to the right page after assigning a ticket to someone else.

### v4.12.18

* [Feature] Pancake can now be installed in a single step!
* [Improvement] The Generate Invoice/Estimate buttons now appear regardless of whether you have tasks created for a project.
* [Improvement] The Timers menu item now appears regardless of whether you have tasks.
* [Improvement] Pancake's email system now uses Google's Gmail API to send email instead of SMTP, which means that if your web host was blocking you from sending email with Gmail, you should no longer have problems.
* [Improvement] The settings page will now load faster when there are no updates available.
* [Improvement] Estimates associated with a project will now appear when viewing the project.
* [Improvement] Adds more robust handling for errors with file uploads.
* [Improvement] The project/task timesheets viewable in the client area will now respect the "Time Entry Rounding" setting and display only the rounded time entries.
* [Improvement] Makes the button to change the timesheets' date range more intuitive (not just a random calendar icon anymore).
* [Bugfix] Fixes an issue that could cause problems with installing Pancake in server configurations with overly aggressive caching mechanisms (e.g. Varnish).
* [Bugfix] Fixes an issue with processing notifications for items that no longer exist.
* [Bugfix] Fixes an issue with creating invoices from the API when details about the payment schedule are missing.
* [Bugfix] Fixes an issue that would cause long tickets to cut off incorrectly.
* [Bugfix] Fixes an issue with creating new Pancake users when running Pancake via IPv6.

### v4.12.17

* [Bugfix] Fixes an issue with the display of invoice gear menu items.

### v4.12.16

* [Feature] Discussion Area for Projects, Clients, Invoices, Estimates and Credit Notes! You can now comment on, leave notes for, and attach files to almost anything in Pancake.
* [Improvement] The Projects gear menu now displays the same quick links that you'd find when viewing the project.
* [Improvement] Clients in the clients list now have a gear menu for faster access to all of the quick links you'd find when viewing a client.
* [Improvement] The proposals page now colour-codes proposals by status.
* [Improvement] You can now manually mark estimates, credit notes and proposals as sent.
* [Improvement] There's now a direct "Client Area" link in the Quick Links and Gear menu for clients.
* [Improvement] The invoices/estimates/proposals gear menu has received a few appearance improvements.
* [Improvement] If you have multiple tabs open at the same time, closing a notification in one tab will now close it in all tabs.
* [Bugfix] Fixes an issue with the client name showing up in notifications instead of the name of the user who left a comment.

### v4.12.15

* [Improvement] There's now a "Mark all as Read" for notifications!
* [Improvement] Pancake will no longer show you notifications for your own user's actions.
* [Improvement] Adds in-app notifications for comments left by your clients or other users.
* [Improvement] You can now click anywhere on a notification to go to the item mentioned in the notification.
* [Bugfix] Standardises the date formats in invoice exports.
* [Bugfix] Fixes an issue with billable support tickets not showing up with a price tag in some cases.
* [Bugfix] Removes "No Status" from the list of ticket status options.

### v4.12.14

* [Feature] Adds support for importing Expenses.
* [Feature] Adds the ability to display links to timesheets for projects in the client area.
* [Feature] Adds the ability for clients to download CSVs of timesheets.
* [Improvement] When creating tasks, they will now inherit the project's "viewable in client area" setting by default.
* [Improvement] Pancake now shows both the brand name and the business name in invoices, if they are different.
* [Bugfix] Fixes an issue with General User users creating tasks in projects.
* [Bugfix] "No Task" time entries no longer show up in client-facing per-task timesheets.

### v4.12.13

* [Improvement] Improves Pancake's behaviour when you try to edit an invoice that doesn't exist.
* [Bugfix] Fixes an issue with using Pancake with CloudFlare's Shared SSL and the "Force HTTPS" setting turned on.
* [Bugfix] Fixes an issue with importing payments with no payment date when MySQL Strict Mode is turned on.

### v4.12.12

* [Bugfix] Fixes an issue that could affect Pancake while updating.

### v4.12.11

* [Bugfix] Fixes an issue with importing estimates and credit notes.
* [Bugfix] Fixes an issue with using Pancake via HTTPS on some server configurations.

### v4.12.10

* [Feature] Pancake is now available in Italian!
* [Bugfix] Fixes an issue that would cause your business name to appear twice on invoices if you had no logo set for your business.
* [Bugfix] Fixes an issue where assigning a task to a user did not lead to the "Permissions" section showing that they could view the task.
* [Bugfix] Fixes an issue with which permissions were displayed as enabled for a user in the "Permissions" section if that user could only edit their own items, and the item didn't belong to them.
* [Bugfix] Fixes an issue with the per-client permissions overriding the per-item permissions, which meant that if a user was only allowed to view their own tasks, it would not be possible for them to view others' tasks even if the permission for it was explicitly given by an admin, or if the task was assigned to them.
* [Bugfix] Fixes an issue with the cron job when trying to create new recurrences for recurring invoices with no due date.
* [Bugfix] Fixes an issue with saving custom ticket priorities when MySQL Strict Mode is turned on.
* [Bugfix] Fixes an issue that stopped Pancake from loading correctly when the server did not support logging to the system logs.

### v4.12.9

* [Improvement] Pancake's "Send Test Email" will now detect instances of web hosts hijacking attempts to connect to email servers, and alert you with a big red warning when sending a test email.
* [Improvement] Adds better error logging for invalid payment notifications.

### v4.12.8

* [Improvement] You can now see when the cron job was last executed.
* [Improvement] Adds model_before_delete hook for plugins to hook into any model before a record is deleted.
* [Improvement] Improves the display of totals when viewing an invoices list and the numbers are too big to fit, or when viewing the list of invoices on a mobile device.
* [Improvement] Invoices will now display your business name just above the address area when your logo is set to not include the business name alongside it.
* [Bugfix] Fixes an issue that could cause problems with paying for invoices with PayPal on a mobile device.
* [Bugfix] Fixes an issue with the "payments per payment method" report.
* [Bugfix] Fixes an issue with creating invoices from the API when no files are provided.
* [Bugfix] Fixes an issue with accessing transaction pages for payments that don't exist.
* [Bugfix] Fixes an issue with importing invoices with no taxes in some rare cases.
* [Bugfix] Fixes an issue that could cause problems with marking proposals with estimates as accepted.
* [Bugfix] Fixes an issue that made the list of clients not respect general user permissions.
* [Bugfix] Fixes an issue that prevented general users from viewing their own items.

### v4.12.7

* [Improvement] The Default Invoice Notes setting now uses the same editor as is found on the create/edit invoice pages. Adding new lines and formatting options should now be straightforward.
* [Improvement] It is now possible to load and call plugin models from other plugins, or from other views.
* [Bugfix] Fixes an issue that prevented Pancake from loading correctly if it could not check for updates.
* [Bugfix] Fixes an issue with viewing PDFs in some server configurations.
* [Bugfix] Fixes an issue with displaying validation errors when editing users.
* [Bugfix] Fixes an issue with formatting the maximum allowed upload size in PHP 7.1.
* [Bugfix] Fixes an issue with sending emails via SMTP.
* [Bugfix] Fixes an issue with using commas as thousands separators in project task hourly/flat rates.
* [Bugfix] Fixes an issue with handling Stripe errors.
* [Bugfix] Fixes an issue with handling expired Stripe cards.
* [Bugfix] Fixes an issue with assigning users to tasks via the API.

### v4.12.6

* [Bugfix] Fixes an issue that could cause problems when loading logos that no longer exist.
* [Bugfix] Fixes an issue that could cause problems with saving settings if no storage option was selected.

### v4.12.5

* [Bugfix] Fixes an issue with generating invoices for tasks with no milestones, when the "use a line item per" setting is set to "milestone".
* [Bugfix] Fixes an issue that could cause problems with commenting in the client area for some custom Pancake themes.
* [Bugfix] Fixes an issue that could cause problems when accessing reports by typing URLs in manually and leaving out which client the report is for.

### v4.12.4

* [Bugfix] Fixes an issue with loading logos in Internet Explorer and Microsoft Edge.
* [Bugfix] Fixes an issue with formatting hours in PHP 7.1.
* [Bugfix] Fixes an issue with loading Pancake when there's an open_basedir restriction in place.
* [Bugfix] Fixes an issue with adding payments to invoices in some cases.
* [Bugfix] Fixes an issue that could cause problems with uploading new logos if you pressed the submit button twice in the same second.

### v4.12.3

* [Improvement] Reports now include the date range for which they were generated. If you generated the report for a specific client, the client's name will also be displayed.
* [Bugfix] Fixes an issue with payment receipt emails sometimes not showing the correct amount on invoices paid with Stripe.
* [Bugfix] Fixes an issue with displaying taxes in reusable invoice items.
* [Bugfix] Fixes an issue with clients not being sorted alphabetically when using the letter filters.
* [Bugfix] Fixes an issue with loading uploaded files when your Pancake uses "index.php" in links.
* [Bugfix] Fixes an issue with the display of logos in report PDFs.

### v4.12.2

* [Bugfix] Fixes an issue with viewing logos that have special characters in their filename.

### v4.12.1

**Pancake 4.12.0 does not work with PHP 5.4.** Pancake 4.12.1 officially drops support for PHP 5.4.

If you don't know which version of PHP you're using, go to Settings > Errors & Diagnostics. If you don't see a red warning about PHP 5.4, you have nothing to worry about.

### v4.12.0

**You can now charge clients automatically!** If your clients pay you with Stripe, Pancake will allow you to charge them automatically when the invoice is due. You can also charge them automatically for any invoice, at any time, with just one click. For this to work, they'll have to pay you at least once through Stripe. Once they've paid through Stripe, Pancake will be able to ask Stripe to charge them again whenever you want to.

**You can now use S3 to store Pancake uploads!**

If you use PayPal and they have been sending you emails about upgrading their infrastructure, you don't need to worry - Pancake is up to date and will continue to work without any problems.

* [Feature] Charge clients' cards automatically, either when an invoice falls due or on demand, whenever you want.
* [Feature] Use S3 to store uploads in Pancake. You can even use multiple file storage options at the same time for easy, automatic and redundant backups.
* [Feature] You can now update invoice currencies when you edit invoices.
* [Improvement] The payment page now includes the amount that will be charged. Previously only the invoice displayed the amount. It will also display the invoice's number and the client's name.
* [Improvement] Clicking sections on a proposal's sidebar now scrolls to the relevant section.
* [Improvement] Pancake now respects the number of decimal places you use for invoice item rates. If you use 3 decimal places, the number will show up in the invoice with 3 decimal places, not 2.
* [Improvement] Pancake now sends X-XSS-Protection and X-Content-Type-Options headers to prevent attacks.
* [Improvement] The API now uses the line item type 'standard' when a type isn't specified while creating or editing invoices.
* [Improvement] Adds a "Preview" link to the success notification when creating or editing invoices, estimates or credit notes.
* [Improvement] Adds a plugin event hook for customising the sort order of invoices.
* [Improvement] Adds the ability to import multiple payments for invoices, and to import discounts for invoice line items.
* [Improvement] Adds a new "Help / Support" link to Pancake's top right menu, so you can get support more easily.
* [Improvement] Adds support for using the United Arab Emirates Dirham as Pancake's default currency.
* [Improvement] When viewing invoices, the due date is now referred to as "Due Date" instead of "Due", and the total amount is now referred to as "Amount Due", instead of "Due", to avoid confusion between the two.
* [Bugfix] A few pages were using the Refresh header to redirect users to a different page, instead of the Location header. This caused problems with some Varnish configurations, so we've made them use the Location header instead.
* [Bugfix] Fixes an issue with detecting HTTPS in servers running behind CloudFlare and Flynn.
* [Bugfix] Fixes an issue with translating the word "INVOICE" in invoices to a different language with non-Latin characters.
* [Bugfix] Fixes an issue where creating projects from templates failed to keep the order of subtasks and milestones.
* [Bugfix] Fixes an issue with generating due dates for recurring invoices.
* [Bugfix] Fixes an issue with creating new invoices using the API.
* [Bugfix] Fixes an issue with deleting invoices using the API.
* [Bugfix] Fixes an issue with importing unpaid invoices from Bamboo to Pancake.
* [Bugfix] Fixes an issue where creating a task using the API would lead to the task not inheriting the project's default hourly rate.
* [Bugfix] Fixes an issue where marking a task as completed via the API would lead to it forgetting the user to which it was assigned.

### v4.11.22

* [Bugfix] Fixes an issue that caused you to be redirected to the wrong page after editing time entries in a task's timesheet.
* [Bugfix] Fixes an issue that caused unnecessary load on web servers when marking a project task as completed in a project with many tasks.

### v4.11.21

* [Improvement] Improves Pancake's handling of CSVs that use special characters for linebreaks.
* [Improvement] Adding or editing time entries from a task's timesheet will no longer take you back to the full project's timesheet.
* [Bugfix] Fixes an issue that prevented General Users users from being assigned to support tickets.
* [Bugfix] Fixes an issue with loading PDFs when running Pancake on a Windows server.

### v4.11.20

* [Bugfix] Fixes an issue with deleting invoices.
* [Bugfix] Fixes an issue that could cause problems with the cron job not setting due dates correctly for new invoices.

### v4.11.19

* [Improvement] Payment notification emails now include the amount left to pay (if there is any), and only show a message about files being available to download if there are any.
* [Improvement] Tasks in the dashboard now include the name of the project to which they belong.
* [Improvement] Improves the sizing and spacing of long invoice item notes to prevent invoice PDFs from breaking in odd places.
* [Bugfix] Fixes an issue that caused projects to be listed in an unexpected way when viewing a client with only 2 projects.
* [Bugfix] Fixes an issue that prevented editing due dates of invoices to any date before the previous due date.Fixes an issue that prevented editing due dates of invoices to any date before the previous due date.

### v4.11.18

* [Improvement] Editing a task from the 'Today' section of the dashboard will no longer redirect you to the project view page.
* [Improvement] The model_insert/model_update/model_delete plugin hooks now work with invoices.
* [Improvement] The model_update plugin hook now receives a copy of the record as it was prior to editing, to help with detecting what has changed.
* [Bugfix] Fixes an issue with calculating the number of days an invoice is overdue.

### v4.11.17

* [Bugfix] Fixes an issue with sending email using the "Server Default" option.

### v4.11.16

* [Improvement] If you're using the "Gmail" option for sending email, Pancake now tries to connect to Gmail using ports 25, 465 and 587, so that even if one of them is blocked by your server's firewall, Pancake can still send email.
* [Improvement] Adds additional information to error reports to help figure out which page is causing problems.
* [Bugfix] Fixes an issue that caused an error when trying to access Pancake if your user account no longer existed.
* [Bugfix] Fixes an issue where accepting an estimate would generate a new project but not associate the estimate with it.
* [Bugfix] Fixes an issue with unexpected values for due dates in invoices.

### v4.11.15

* [Improvement] You can now use {{invoice.days_overdue}} in emails to specify the number of days an invoice is overdue.
* [Bugfix] Fixes an issue that could cause problems with storing special characters in Pancake depending on your server's configurations.
* [Bugfix] Fixes an issue that caused problems with loading custom fonts in some cases.

### v4.11.14

* [Improvement] The users page now displays all users in alphabetical order.
* [Improvement] You can now use the {{number}} variable in remittance slips.
* [Bugfix] Fixes an issue that prevented Pancake from marking flat rate tasks as billed.
* [Bugfix] Fixes an issue that caused Pancake not to bill flat rate tasks unless they had time logged against them.
* [Bugfix] Fixes an issue with the sizing of logo images when viewing emails with Outlook.
* [Bugfix] Fixes an issue with filtering clients by their first letter.
* [Bugfix] Fixes an issue with trying to access client area pages for tickets that don't exist.
* [Bugfix] Fixes an issue with processing time for time entries if you just typed in a number (e.g. 10) instead of something like "10 AM" or "10:00".
* [Bugfix] Fixes an issue with processing d-m-y dates (2-digit year format, not 4-digit).
* [Bugfix] Fixes an issue that could cause problems when trying to generate PDFs in some server configurations.
* [Bugfix] Fixes an issue that could cause problems with using Pancake in server configurations with overly aggressive caching mechanisms (e.g. Varnish).

### v4.11.13

* [Improvement] Adds email notifications for when your clients accept or reject Proposals and Estimates.
* [Improvement] Disables autocorrect for the login username/email field.
* [Improvement] Archived invoices no longer show up on the reminders page.
* [Improvement] Project Templates will now save task statuses and task types (flat rate or hourly), so you don't have to enter them again when creating a project from a template.
* [Bugfix] Fixes an issue with filtering clients by start letter when using the Custom Client Names plugin.
* [Bugfix] Fixes an issue that broke relative paths when rendering CSS in PDFs.
* [Bugfix] Fixes an issue with editing reminder templates.
* [Bugfix] Fixes an issue with using Pancake on some server configurations.
* [Bugfix] Fixes an issue with loading PDFs in Pancake, in situations where a temporary folder wasn't writable.
* [Bugfix] Fixes an "Amount precision is too high for currency" error.
* [Bugfix] A previous update removed the description that was automatically added to purchases made with Stripe (it allowed Stripe to show you the invoice number for all transactions in your dashboard). This update adds it back.
* [Bugfix] Fixes an issue that caused an error if you left the supplier or category fields empty when editing an expense.

### v4.11.12

* [Bugfix] Fixes an issue with importing big CSV files.
* [Bugfix] Fixes an issue with viewing invoice PDFs in some server configurations.
* [Bugfix] Fixes an issue that could cause an 'unknown error' page if trying to send an email when your configurations are incorrect.

### v4.11.11

* [Bugfix] Fixes an issue that caused false positives when using the scanner in Settings > Errors & Diagnostics, if your FTP client modified files' linebreaks.
* [Bugfix] Fixes an issue that prevented PDFs from being cached on the server in order to load faster.
* [Bugfix] Fixes an issue with loading PDFs on some server configurations.
* [Bugfix] Fixes an issue that prevented downloading report CSVs if there were thousands of invoices in a report.
* [Bugfix] Fixes an issue with the layout of proposals if you added an image that was wider than the page.
* [Bugfix] Fixes an issue with installing Pancake.
* [Bugfix] Fixes an issue with the display of the "due on" date in projects.
* [Bugfix] Fixes an issue that allowed changing invoice numbers to numbers that already existed in Pancake.
* [Bugfix] Fixes an issue that caused custom admin themes' styling not to apply to the login page.

### v4.11.10

* [Bugfix] Fixes an issue with loading invoice PDFs.

### v4.11.9

* [Improvement] Clients can now view their credit balance in the client area, but only if they've ever had any credit. Clients that have never had credit won't see anything different.
* [Improvement] Makes the title of the login page show "Login" instead of "Frontend" or "Kitchen".
* [Bugfix] Fixes an issue with loading PDFs in some server configurations.
* [Bugfix] Fixes an issue with loading logos in PDFs if their filenames have spaces.

### v4.11.8

* [Improvement] Adds additional information to PDF errors to help figure out which invoice/proposal is having problems.
* [Bugfix] Fixes an issue with generating PDFs in servers where the dompdf folder isn't writable.
* [Bugfix] Fixes an issue with adding payments to invoices if the date format includes 'S'.
* [Bugfix] Fixes an issue with the "no results" page when searching for plugins in the Pancake Store.
* [Bugfix] Fixes an issue with processing times when editing time entries that use am or pm for the start/end time.

### v4.11.7

* [Bugfix] Fixes an issue with Pancake in installations with old plugin settings.

### v4.11.6

* [Feature] You can now auto-send invoices when they're due (or a number of days before they're due).
* [Improvement] Updates the HTML-to-PDF converter we use. PDF rendering should be a bit more stable for theme developers, especially if you're using custom fonts.
* [Bugfix] Fixes an issue that could cause problems with making payments with Stripe.
* [Bugfix] Fixes an issue with the display of client names on the "View Client" page.
* [Bugfix] Fixes an issue with adding expenses with invalid rates when MySQL Strict Mode is turned on.
* [Bugfix] Fixes an issue with adding projects with invalid hourly rates when MySQL Strict Mode is turned on.
* [Bugfix] Fixes an issue with adding projects with an invalid number of projected hours when MySQL Strict Mode is turned on.

### v4.11.5

* [Improvement] You are now sent to the client's record after creating a new client, instead of the "All Clients" page.
* [Improvement] The create/edit/delete plugin hooks now work with projects and project tasks as well.
* [Bugfix] Fixes an issue with adding payments to invoices in some situations.

### v4.11.4

* [Improvement] Adds the ability for plugins to set custom backend JS/CSS.

### v4.11.3

* [Improvement] Removes the "Default Invoice Title" setting to allow the word "Invoice" to appear in different languages for different clients.
* [Bugfix] Fixes an issue with editing projects that don't have a due date.
* [Bugfix] Fixes an issue with setting custom payment dates when marking invoices as paid and using ambiguous date formats.
* [Bugfix] Fixes an issue with importing CSV files with an uppercase file extension.
* [Bugfix] Fixes an issue that could cause dashboard totals to show up incorrectly for invoices that were partially paid this year and partially paid the year before.

### v4.11.2

* [Bugfix] Fixes an issue with setting custom payment dates when marking invoices as paid.

### v4.11.1

* [Bugfix] Fixes an issue that caused invoices issued on the "From" date not to appear in reports.

### v4.11.0

* [Improvement] Adds the ability for plugins to set custom frontend JS/CSS.
* [Improvement] Adds an "Archived Invoices" report.
* [Improvement] Adds plugin event hooks for every create/edit/delete situation.
* [Improvement] Improves the appearance of estimates in proposals.
* [Bugfix] Fixes an issue where the page with the list of clients wasn't being reordered if you were using the Custom Client Names plugin.
* [Bugfix] Fixes an issue with the display of client names in the list of invoices, for clients that only have a company name and no first/last name.
* [Bugfix] Fixes an issue with creating and editing milestones with target dates.
* [Bugfix] Fixes an issue with using negative numbers in invoices. You should be using the "Discount" invoice line item type, but for those who were using negative numbers instead, this is now working again.
* [Bugfix] Fixes an issue with the calculation of paid totals in the Dashboard.
* [Bugfix] Fixes an issue with generating charts for reports in some situations.

### v4.10.3

* [Bugfix] Fixes an issue with editing tasks in some cases.

### v4.10.2

* [Bugfix] Fixes an issue with processing dates for time entries.
* [Bugfix] Fixes an issue that stopped a "paid on" note from showing up in the Flat Pancake theme.
* [Bugfix] Fixes an issue that caused problems when using Stripe with non-USD currencies.

### v4.10.1

* [Bugfix] Fixes an issue with processing dates for expenses.
* [Bugfix] Fixes an issue that could happen when adding partial payments, in some cases.

### v4.10.0

* [Improvement] The project view now displays a project's total cost and billed total, in addition to the unbilled total.
* [Improvement] Invoice exports now include details on whether the invoices are recurring or not, and the details of their recurrence.
* [Improvement] Pancake will now alert you if you don't have a MySQL extension installed.
* [Improvement] Pancake now automatically adds transaction fees for Stripe payments.
* [Improvement] You can now click to create a proposal directly from the navigation bar.
* [Improvement] The Snapshot in the Dashboard now includes totals for Overdue and Outstanding (sent but unpaid) amounts.
* [Bugfix] Fixes an issue that prevented PayPal from working correctly in some Windows server configurations.
* [Bugfix] Fixes an issue with the calculation of the "Unbilled Amount" when viewing a project.
* [Bugfix] Fixes an issue that caused all invoice emails to be sent using a business identity's support email instead of their billing email address.
* [Bugfix] Fixes an issue with understanding numbers like ".75" (no zero) in invoices and expenses.
* [Bugfix] Fixes an issue with something that automatically used 'smart quotes' in invoices, which couldn't be displayed without a font that supported UTF-8 characters.
* [Bugfix] Fixes an issue with processing dates with a format different than the one specified in Pancake's settings.
* [Bugfix] Fixes an issue with auto-incrementing invoice numbers with leading zeros.

### v4.9.0

Pancake is ready for PHP 7. If you can upgrade to PHP 7, do it. It'll make Pancake run up to twice as fast. Pancake is also ready for MySQL 5.7.

* [Improvement] Adds additional information to "page not found" errors to help figure out which page led you there.
* [Improvement] If you have no 'From' address set for your business identity, Pancake will now let you know that it can't send emails.
* [Improvement] Improves Pancake's handling of invalid numbers for amounts in invoices and expenses.
* [Improvement] Improves Pancake's handling of URL rewriting for Apache servers, which should prevent issues on hosts where RewriteBase needed to be tweaked to get URL rewriting to work.
* [Improvement] Improves the display of client names when viewing projects.
* [Improvement] Adds support for importing Bamboo Invoice exports from very old Bamboo Invoice versions.
* [Bugfix] Fixes compatibility issues with PHP 7.
* [Bugfix] Fixes an issue with manually upgrading from a Pancake version earlier than 4.8.6.
* [Bugfix] Fixes an issue with viewing client areas of clients that do not exist.
* [Bugfix] Fixes an issue that could cause problems if you tried to access non-existent pages of the client area.
* [Bugfix] Fixes an issue with Pancake's handling of ":30" for time entries (no hour included).
* [Bugfix] Fixes an issue with the display of the list of expenses in cases where there are expenses with long names.
* [Bugfix] Fixes an issue that caused problems generating PDFs on servers where loopback connections are not allowed.

### v4.8.52

* [Improvement] The expenses list now displays with which project an expense is associated.
* [Improvement] Adds a security measure to prevent session cookie theft.
* [Bugfix] Fixes an issue with saving custom currency formats.
* [Bugfix] Fixes an issue that could cause compatibility problems for old custom themes.
* [Bugfix] Fixes an issue that could cause some text to show up incorrectly in languages such as German.
* [Bugfix] Fixes an issue with the CSV of the "Payments per Client" report's display of Transaction IDs.
* [Bugfix] Fixes an issue that would cause Pancake to stop working if an invalid timezone was used in the settings form.
* [Bugfix] Fixes an issue with being redirected back to the list of archived invoices when you delete an archived invoice.
* [Bugfix] Fixes an issue where trying to filter invoices by an inexistent client could cause an error.

### v4.8.51

* [Bugfix] Fixes an issue with saving settings when Pancake has no custom currencies saved.
* [Bugfix] Fixes an issue with some MySQL servers that could cause problems when running reports or updates in Pancake.
* [Bugfix] Fixes an issue with running Pancake on a server with MySQL 5.7.

### v4.8.50

* [Feature] You can finally set currency formatting settings (e.g. 1.000,00 €)!
* [Improvement] Adds a security measure to prevent clickjacking attacks.
* [Improvement] You can now verify user login details via the API with a user's email address instead of the username, to better match Pancake's login behavior.
* [Bugfix] Fixes an issue with creating projects.
* [Bugfix] Fixes an issue with the Pancake error handling system when MySQL Strict Mode is turned on.
* [Bugfix] Fixes an issue with getting tasks via the API.

### v4.8.49

* [Bugfix] Fixes an issue that could cause problems with loading invoices/estimates in some cases.

### v4.8.48

* [Improvement] Adds plugin hooks to customize the "Reply To" address used when sending emails.
* [Improvement] Adds plugin hooks to hide project/task hourly rates from "General User" users.
* [Improvement] Adds a new "Direct Debit" payment method, similar to "Bank Transfer".
* [Improvement] Time Entries are now ordered by date/time, from newest to oldest, in the View Time Entries page for projects/tasks.
* [Improvement] You can now get all existing tasks via the API, regardless of project, from the projects/tasks endpoint.
* [Bugfix] Improves Pancake's error handling on servers where even with valid FTP details it is impossible to update some files.
* [Bugfix] Fixes an issue that could in some cases cause problems with making multiple payments, or when using the "Add Payment" function.
* [Bugfix] Fixes an issue with assigning sub-tasks to users.
* [Bugfix] Fixes an issue with new comment notifications if a comma-separated list of emails was used for the client.
* [Bugfix] Fixes a number formatting issue when sending payment receipt notifications.
* [Bugfix] Fixes an issue with default values in dropdown inputs for plugin settings.
* [Bugfix] Fixes an issue that could happen when hitting the "Send Reminders" button when there are no reminders to select.
* [Bugfix] Fixes an issue with viewing invoices/estimates that belong to projects that no longer exist.
* [Bugfix] Fixes an issue with plugins that don't have multilingual descriptions.
* [Bugfix] Fixes an issue with pausing already-paused timers.
* [Bugfix] Fixes an issue with editing time entries not associated with any task when MySQL Strict Mode is turned on.
* [Bugfix] Fixes an issue with installing Pancake when the license key has a space after it.

### v4.8.47

* [Improvement] There's now an invoices/send API endpoint to send emails for invoices.
* [Bugfix] Fixes an issue with editing users.
* [Bugfix] Fixes an issue with installing plugin updates when MySQL Strict Mode is turned on.
* [Bugfix] Fixes an issue with creating/editing time entries when the start or end time only includes the hour.
* [Bugfix] Fixes an issue with pagination in the Archived Invoices pages.

### v4.8.46

* [Bugfix] Fixes an issue with Pancake on MySQL 5.7.

### v4.8.45

* [Improvement] There's now a settings/version endpoint to detect Pancake's version.
* [Improvement] Grabbing a list of all Projects, Project Tasks and Clients via the API now includes their permissions.
* [Bugfix] Fixes an issue with installing plugins when MySQL Strict Mode is turned on.
* [Bugfix] Fixes an issue with the API when storing time entries that run past midnight.
* [Bugfix] Fixes an issue that could cause problems when trying to edit an invoice.

### v4.8.44

* [Improvement] You can now verify user login details via the API.
* [Improvement] You can now check if a plugin is purchased and installed via the API.
* [Improvement] Makes it easier to reference invoice items in email templates.
* [Bugfix] Fixes an issue with installing Pancake when MySQL Strict Mode is turned on.
* [Bugfix] Fixes an issue that could occur when Pancake failed to send an email to someone.
* [Bugfix] Fixes an issue with validating emails with apostrophes in the address.

### v4.8.43

* [Bugfix] Fixes an issue with installing Pancake.
* [Bugfix] Fixes an issue with plugins in some installations that ran Pancake 4.8.29 in the past.
* [Bugfix] Fixes an issue with loading Pancake in some installations.

### v4.8.42

* [Improvement] Improves Pancake's performance for installations with thousands of invoices.
* [Improvement] All plugin settings are now stored in an encrypted format.
* [Improvement] Improves Pancake's behavior when the GD extension isn't installed.
* [Improvement] Pancake now keeps track of the last update made to Users and Time Entries, for the benefit of those using the API to retrieve records modfied after a given date.
* [Bugfix] Fixes an issue with sending emails when they were separated by a comma and a space (instead of just a comma).
* [Bugfix] Fixes an issue that caused problems generating PDFs on servers where loopback connections are not allowed.
* [Bugfix] Fixes an issue with the alignment of item totals in estimates.
* [Bugfix] Fixes an issue that caused the Pancake Brown theme to appear as a frontend theme and not just a backend theme.
* [Bugfix] Fixes an issue with detecting when Pancake is running behind an SSL proxy (e.g. CloudFlare SSL, Amazon ELB, etc).
* [Bugfix] Fixes an issue that could cause problems with the migrations system.
* [Bugfix] Fixes an issue with loading invoices that have no line items.
* [Bugfix] Fixes an issue with using default ticket rates in tickets.

### v4.8.41

* [Improvement] Improves the appearance of the Pancake Brown theme to conform with the modifications we've made to our default themes.
* [Improvement] Improves Pancake's error handling on servers that don't have the FTP extension enabled.
* [Improvement] Improves Pancake's error handling in situations where the database configurations are incorrect.
* [Bugfix] Fixes a "Division by zero" error that could happen when viewing reports.
* [Bugfix] Fixes an issue with installing Pancake on servers that don't have the MySQLi extension.
* [Bugfix] Fixes an issue that caused problems with loading PDFs if the uploads folder wasn't writable.
* [Bugfix] Fixes an issue that caused errors when incorrect FTP details are used for Pancake updates.
* [Bugfix] Fixes an issue that could cause a "500 Internal Server Error" page to show up on some server configurations.
* [Bugfix] Fixes several issues with running Pancake on PHP 7 servers.

### v4.8.40

* [Bugfix] Fixes an issue that could cause Pancake to stop responding when viewing invoices.
* [Bugfix] Fixes an issue that caused Pancake to throw an error when an invoice's partial payment plan is incomplete.
* [Bugfix] Fixes an issue with importing clients when MySQL Strict Mode is turned on.
* [Bugfix] Fixes an issue that could cause the Error & Diagnostics scanner to report incorrect results in some cases.
* [Bugfix] Fixes an issue with error logging in Pancake.
* [Bugfix] Fixes an issue with accessing the settings page in servers where MySQL has a small value for the "max_allowed_packet" setting.

### v4.8.39

* [Bugfix] Fixes an issue with viewing notifications of client activity for estimates.

### v4.8.38

* [Bugfix] Fixes an issue with accessing the dashboard in some installations.

### v4.8.37

* [Bugfix] Fixes an issue with calculating dashboard snapshot totals.
* [Bugfix] Fixes several issues with the update system.

### v4.8.36

* [Bugfix] Fixes an issue with storing dates.
* [Bugfix] Fixes an issue that caused Pancake to try to load payment gateways that no longer exist.
* [Bugfix] Fixes an issue with marking taxes as compound.
* [Bugfix] Fixes an issue with the appearance of dropdowns in Firefox.

### v4.8.35

* [Improvement] You can now click the "Remind" column header in the Reminders page to tick all checkboxes in one click.
* [Improvement] When converting an estimate to an invoice, the date of creation is now reset to the current date.
* [Improvement] Adds easy-to-use functions for encrypting and decrypting data in plugins.
* [Improvement] Proposals now include the proposal's date on the cover page.
* [Bugfix] Removes the Google Checkout gateway.
* [Bugfix] Fixes an issue that prevented the date of a project's last update from being updated when editing/archiving the project.
* [Bugfix] Fixes a wording issue in the user form that made it look like there were two Company fields.
* [Bugfix] Fixes an issue that could cause errors when sending emails using the "Server Default" option.

### v4.8.34

* [Bugfix] Fixes an issue that prevented UTF-8 characters from displaying correctly in timesheets.

### v4.8.33

* [Bugfix] Fixes an issue with accessing the settings page on some installations.
* [Bugfix] Improves Pancake's handling of no-longer-existing clients.
* [Bugfix] Fixes an issue with viewing projects that have time entries not associated with any task.
* [Bugfix] Fixes an issue caused by viewing emails for proposals that no longer exist.
* [Bugfix] Fixes an issue with accessing the client timesheet for a single project task.
* [Bugfix] Fixes an issue that caused errors when incorrect FTP details are used for Pancake updates.
* [Bugfix] Fixes an issue that caused Pancake to ask for FTP details when it's not necessary.
* [Bugfix] Fixes an issue that caused the project progress circle for logged hours vs. projected hours not to show up when the logged hours were 80% of the projected hours.

### v4.8.32

* [Bugfix] Fixes an issue that caused problems with installing Pancake updates.

### v4.8.31

* [Bugfix] Fixes an issue that caused problems with loading Pancake.

### v4.8.30

* [Bugfix] Removes password length restriction when installing Pancake.
* [Bugfix] Fixes an issue with testing FTP details for Pancake updates.
* [Bugfix] Fixes an issue that caused problems when creating a proposal without a client.
* [Bugfix] Fixes an issue with installing Pancake on some server configurations.

### v4.8.29

* [Improvement] Improves and streamlines the update system to make it a lot faster, more efficient, and better at handling update errors.
* [Improvement] Adds the ability to import invoices with up to 15 line items. Before, you could only import invoices with at most 2 line items.
* [Bugfix] Fixes an issue with exporting expenses, invoices and clients in certain server configurations.
* [Bugfix] Fixes an issue that prevented servers that don't allow Pancake to connect to itself from installing Pancake.
* [Bugfix] Fixes an issue that prevented the date of a task's last update from being updated when marking a task as complete.
* [Bugfix] Fixes an issue with loading Gravatar profile pictures when Pancake is running behind an SSL proxy (e.g. CloudFlare SSL, Amazon ELB, etc).

### v4.8.28

* [Improvement] You can now send clients their client area details via the API.
* [Bugfix] Fixes an issue that caused Pancake to ignore API Key information sent via a query string when receiving a POST request.
* [Bugfix] Improves the wording of the "Archived Estimates" and "Archived Credit Notes" pages.
* [Bugfix] Fixes an issue with accessing the API remotely from within a browser.
* [Bugfix] Fixes an issue that caused problems with sending emails if more than one email was specified as the Business Identity's support email.
* [Bugfix] Fixes an issue with the cron's handling of recurring invoices that are associated with a project.
* [Bugfix] Fixes an issue with the display of client names when viewing tickets.

### v4.8.27

* [Bugfix] Fixes an issue that caused client totals not to display when viewing a client.
* [Bugfix] Fixes an issue with calculating dashboard snapshot totals.
* [Bugfix] Fixes an issue with calculating totals taking into account currency exchange rates.

### v4.8.26

* [Improvement] Improves support for payment gateways that don't support dynamic payment notification URLs, and adds support for gateways with custom payment failed errors.
* [Bugfix] Fixes an issue with the display of unpaid amounts in the dashboard.

### v4.8.25

* [Improvement] Pancake will now load dramatically faster and be generally more responsive for people with many thousands of invoices.

### v4.8.24

* [Bugfix] Fixes an issue where duplicated invoices didn't get a new due date.
* [Bugfix] Fixes an issue that caused some tickets not to display as billable.
* [Bugfix] Fixes an issue that caused viewing BCCs of invoice emails to incorrectly be recorded as the client viewing the invoice.
* [Bugfix] Fixes an issue with adding expenses to Pancake when no supplier or category are selected.
* [Bugfix] Fixes an issue with the alignment of columns in invoices.
* [Bugfix] Fixes an issue with editing clients that have no language associated with them.

### v4.8.23

* [Bugfix] Fixes an issue that caused problems with accessing the list of estimates in Pancake.

### v4.8.22

* [Bugfix] Fixes an issue with Pancake on servers with PHP short tags turned off.
* [Bugfix] Fixes an issue that caused some translations not to appear correctly.
* [Bugfix] Fixes an issue that caused archived invoices, estimates and credit notes to incorrectly show up in several areas of Pancake.
* [Bugfix] Fixes an issue that caused the ticket area layout to break with very long tickets.

### v4.8.21

* [Improvement] Improves the display of the list of estimates in the client area.
* [Bugfix] Fixes an issue with the client area.

### v4.8.20

* [Improvement] Adds support for payment gateways that don't support dynamic payment notification URLs.
* [Improvement] The file scanner no longer displays warnings about certain unimportant files.
* [Bugfix] Fixes a wording issue in the dashboard's "Outstanding Invoices" section.
* [Bugfix] Fixes an issue with saving proposal section templates in Pancake when MySQL Strict Mode is turned on.
* [Bugfix] Fixes an issue with auto-sending recurring invoices that are associated with a project.
* [Bugfix] The dashboard's "Unpaid" snapshot no longer includes archived invoices.

### v4.8.19

* [Improvement] Ticket invoices now include the ticket's name, number, and the contents of the initial post.
* [Improvement] Adds the date of creation to invoice reports.
* [Improvement] Adds the ability to use {{project.name}} in invoice emails.
* [Improvement] The "Hours Worked" section in the Dashboard now links to the timesheets page and includes all hours logged during the current fiscal year.
* [Improvement] The Client Area Details email now includes the client's email by default. It will also let the client know if they don't need a password.
* [Bugfix] Fixes an issue that prevented general users from editing proposals even when they had permission to do so.
* [Bugfix] Fixes an issue with Pancake detecting if plugins are up to date or not.
* [Bugfix] Fixes an issue with opening CSVs of reports in Excel.
* [Bugfix] Fixes an issue that caused the Unsent Estimates page to look like an Invoices page.
* [Bugfix] When editing an invoice, the success notification now accurately reflects whether you're resending the invoice or just sending it for the first time.
* [Bugfix] Fixes an issue that could cause unsent estimates not to show up in the "Unsent Estimates" page.
* [Bugfix] Changes the wording of the invoices in the dashboard to "Outstanding Invoices".
* [Bugfix] Fixes an issue that caused problems with creating paid support tickets for clients.
* [Bugfix] Fixes an issue with the automatic generation of new invoice numbers.
* [Bugfix] Fixes an issue with adding payments to invoices.

### v4.8.18

* [Bugfix] Fixes an issue that caused some amounts to be displayed with only one decimal place instead of two.
* [Bugfix] Fixes an issue that caused a number of problems with the plugins system.

### v4.8.17

* [Improvement] Adds the project name to the task comments page in the client area.
* [Improvement] The order of project milestones is now correctly reflected in the client area.
* [Bugfix] Fixes an issue that sometimes prevented tasks and milestones from being ordered correctly in project templates.
* [Bugfix] Fixes an issue that caused plugins built before Pancake 4.8.13 to stop working correctly.

### v4.8.16

* [Bugfix] Fixes an issue with creating invoices when no quantity is provided.
* [Bugfix] Fixes an issue with importing clients.
* [Bugfix] Fixes an issue with downloading files attached to tickets.
* [Bugfix] Fixes an issue with running Pancake behind an SSL proxy (e.g. CloudFlare SSL, Amazon ELB, etc).
* [Bugfix] Fixes an issue with the "Payments per Payment Method" report.

### v4.8.15

* [Bugfix] Fixes an issue with creating invoices with the API.

### v4.8.14

* [Bugfix] Fixes an issue that would cause Pancake to be unable to load if you've uploaded it from a Mac, in some circumstances.

### v4.8.13

* [Improvement] Pancake can now create tasks automatically if you're importing time entries for tasks that don't exist.
* [Improvement] Adds support for an install script for plugins.
* [Improvement] Adds support for loading JS/CSS files in plugins' controllers.
* [Bugfix] Fixes an issue where time entries not assigned to any task would not show up in the Timesheets page.
* [Bugfix] Fixes an issue with installing Pancake on some server configurations.
* [Bugfix] Makes the default language for new clients be the default Pancake language.
* [Bugfix] Fixes an issue with storing tax information in Pancake.

### v4.8.12

* [Feature] Pancake is now available in French!
* [Feature] Pancake is now available in Spanish!
* [Feature] Pancake is now available in Norwegian!
* [Feature] Pancake is now available in Brazilian Portuguese!
* [Feature] Pancake is now available in Dutch!
* [Feature] Pancake is now available in German!
* [Bugfix] Fixes an issue with loading client pages in different languages.
* [Bugfix] Fixes an issue that could cause problems with using Gmail/Google Apps with some web hosts.

### v4.8.11

* [Feature] You can now archive invoices/estimates/proposals/credit notes. Archived invoices will not show up in lists of unpaid/paid/overdue invoices.
* [Improvement] Your clients' Tax Numbers / IDs will now appear when you're viewing the list of all clients.

### v4.8.10

* [Improvement] Your logo now appears in the top right corner of your proposal's cover page.
* [Improvement] The Errors & Diagnostics scanner will now show you the names of the files that have issues.
* [Bugfix] Fixes PHP 5.4 compatibility issues.
* [Bugfix] Fixes an issue with emailing when using Gmail/Google Apps. If you were having problems using the Gmail/Google Apps setting, this should resolve it.
* [Bugfix] Fixes an issue that prevented selecting the "server default" option in email settings.

### v4.8.9

* [Improvement] The Errors & Diagnostics section now has a tool for you to scan your Pancake's files to see if they're all OK.
* [Improvement] The Errors & Diagnostics section will now warn you when you're running a too-old version of PHP.
* [Bugfix] Fixes an issue that caused Pancake to ask for FTP details for updates when they were not needed.

### v4.8.8

* [Improvement] You can now access reusable invoice items via the API.
* [Bugfix] Fixes an issue with the appearance of the navigation bar when a dropdown menu only has one item.
* [Bugfix] Fixes an issue with using custom fonts for PDFs.

### v4.8.7

* [Improvement] Adds a WYSIWYG editor for comments in the client area.
* [Bugfix] Fixes an issue with viewing the project archive.
* [Bugfix] Fixes an issue with accessing the navigation bar on mobile devices.

### v4.8.6

* [Improvement] Adds a PayPal Pro payment gateway.
* [Bugfix] Fixes an issue with viewing PDFs.

### v4.8.5

* [Bugfix] Fixes an issue that could cause problems with the formatting of currency amounts.
* [Bugfix] Fixes an issue that caused performance problems when loading the dashboard.
* [Bugfix] Fixes an issue that caused 'Array' to show up in BCC versions of emails.

### v4.8.4

* [Bugfix] Fixes an issue with reporting duplicate errors.
* [Bugfix] Fixes an issue with viewing and emailing PDFs.

### v4.8.3

* [Bugfix] Fixes an issue with accessing the client area.

### v4.8.2

* [Bugfix] Fixes an issue that could cause problems with sending email.

### v4.8.1

* [Bugfix] Fixes an issue that caused problems with opening modals.

### v4.8.0

* [Feature] You can now create "Flat Rate" projects and project tasks. When you generate an invoice for them, no time entries will be used.
* [Feature] You can now create "Flat Rate" items in invoices. If an invoice consists solely of "Flat Rate" items, it will not have the "Quantity / Hours" column.
* [Feature] You can now create invoices with the API in a much more reliable way. We also have an in-progress PHP library to make using the API a lot easier.
* [Improvement] Configuring email settings is now a lot more straightforward, and more reliable. If you were having SSL/TLS issues, most of them should be resolved now.
* [Improvement] When editing a client, you are now sent back to the client's page instead of to the "all clients" page.
* [Improvement] There is now an "All Unpaid" invoices filter which includes both overdue and unsent invoices.
* [Improvement] Adds support for using wkhtmltopdf to generate PDFs.
* [Improvement] The company name/logo now appears when a client is select a payment method.
* [Improvement] The invoice/estimate create/edit page now only notifies you about losing information if you have changed anything.
* [Improvement] Improves Pancake's handling of "404 Page Not Found" situations.
* [Improvement] When reporting issues, Pancake will now inform you of whether the issue is already resolved in a future update, or if someone else has already reported it before you.
* [Bugfix] Fixes an issue with viewing the search page on some server configurations.
* [Bugfix] Fixes an issue that could cause "Array" to show up in Custom Client Fields.
* [Bugfix] Fixes an issue with generating invoice numbers.
* [Bugfix] Fixes an issue that prevented the use of emails with TLDs longer than 6 characters (eg. .services domains).
* [Bugfix] Removes the password length limitation when creating new users.
* [Bugfix] Fixes an issue with saving plugin settings when there are no plugins with fields.
* [Bugfix] Fixes an issue with installing Pancake in some server configurations.
* [Bugfix] Improves detection of HTTPS in Pancake.
* [Bugfix] Fixes an issue with accessing the invoices API.
* [Bugfix] Fixes several issues with untranslatable words to make it easier to translate Pancake.
* [Bugfix] Fixes a minor issue with the appearance of modals.
* [Bugfix] Fixes an issue with making bulk payments.
* [Bugfix] Fixes an issue with special characters in email subjects.
* [Bugfix] Fixes an issue with accessing the projects view page.
* [Bugfix] Fixes an issue with editing expense categories in Pancake when MySQL Strict Mode is turned on.
* [Bugfix] Fixes an issue with running Pancake in some server configurations.
* [Bugfix] Fixes an issue with creating expenses in Pancake when MySQL Strict Mode is turned on.
* [Bugfix] Fixes an issue with downloading CSVs of reports.
* [Bugfix] Fixes an issue with saving invoices in some rare cases.
* [Bugfix] Fixes an issue with the error reporting system.

### v4.7.12

* [Improvement] Adds the ability to test your email server settings.
* [Improvement] Adds the ability to load custom fonts into the PDF library.
* [Improvement] Clarifies the purpose of the Cash / Bank Transfer / Check / Credit Card / Money Order payment methods.
* [Bugfix] Fixes an issue with the error reporting system.
* [Bugfix] Fixes a backward compatibility issue with some old custom themes.
* [Bugfix] Fixes an issue with the nginx configurations file in the documentation.
* [Bugfix] Fixes an issue with running Pancake in PHP installations that have the MB extension but not the ICONV extension.
* [Bugfix] Fixes an issue with saving proposals with no sections.
* [Bugfix] Fixes an issue with creating projects from templates.
* [Bugfix] Fixes an issue with the detection of URL Rewriting when installing Pancake.

### v4.7.11

* [Feature] Adds a "Payments per Payment Method" report.

### v4.7.10

* [Bugfix] Fixes an issue with the display of expense receipts in invoices.
* [Bugfix] Fixes an issue that prevented general users from creating expenses even when they had permissions to.

### v4.7.9

* [Improvement] You can now reorder milestones in projects.
* [Bugfix] Fixes an issue with importing large CSV files on some server configurations.
* [Bugfix] Fixes an issue with the order of tasks and milestones in project templates. This doesn't fix existing project templates, only new ones.
* [Bugfix] Fixes an issue that prevented adding notes or editing tasks immediately after creating them with the quick-add functionality.
* [Bugfix] Fixes an issue with the nginx configurations that are included with Pancake by default.

### v4.7.8

If you're having problems saving your settings, please update your Pancake, and enter your license key and email settings again. This will resolve the problem.

If you're having problems with updating via FTP, please update your Pancake manually, and enter your FTP update details again. If you don't know how to update manually, please [click here](https://www.pancakeapp.com/faq/manual-update).

* [Feature] Adds the ability to import credit notes from a CSV file.
* [Bugfix] Fixes an issue with saving settings.
* [Bugfix] Fixes an issue with updating via FTP.

### v4.7.7

* [Improvement] Improves Pancake's handling of "404 Page Not Found" situations.
* [Improvement] "Payment Plan" is now "Payment Schedule", which more accurately reflects its purpose and functionality.
* [Improvement] Improves several wording issues in Pancake invoices with more than one payment in the payment schedule.
* [Improvement] Improves Pancake's behavior when it can't send email using PHP mail().
* [Improvement] The remittance slip now only includes the amount due to be paid, rather than the total amount of the invoice. This is for the benefit of partially-paid invoices.
* [Improvement] Forbids certain sensitive settings from being used in email templates or custom JavaScript code.
* [Bugfix] Fixes an issue with assigning tasks to users.
* [Bugfix] Fixes an issue with attaching images using the WYSIWYG editor.
* [Bugfix] Fixes an issue that caused a "division by zero" error if a currency was setup with an exchange rate of 0.

### v4.7.6

* [Bugfix] Fixes an issue with reporting errors that occur while Pancake is still loading.
* [Bugfix] Fixes a backward compatibility issue with some old custom themes.
* [Bugfix] Fixes an issue with viewing in-app notifications.

### v4.7.5

* [Improvement] Improves Pancake's behavior when the XCache extension fails to load.
* [Improvement] Improves Pancake's behavior when Pancake can't create temporary files.
* [Bugfix] Fixes several issues with rendering PDFs in some circumstances.
* [Bugfix] Fixes an issue with updating Pancake.
* [Bugfix] Fixes an issue with loading payment gateways in some server configurations.

### v4.7.4

* [Bugfix] Fixes several issues with searching in Pancake.

### v4.7.3

* [Improvement] Improves Pancake's behavior in "low disk space" situations.
* [Improvement] Improves Pancake's behavior when the sendmail option is not configured correctly.
* [Bugfix] Fixes several issues with updating Pancake.
* [Bugfix] Fixes an issue with searching in Pancake.
* [Bugfix] Fixes an issue with editing projects.
* [Bugfix] Fixes an issue with autocompleting reusable invoice items.
* [Bugfix] Fixes an issue with viewing clients when the clients have had payments made with their credit balance.

### v4.7.2

* [Bugfix] Fixes an issue with viewing in-app notifications.
* [Bugfix] Fixes an error with storing error logs in some cases.
* [Bugfix] Disables file-based error logging, in favour of the new error logging at Settings > Errors & Diagnostics
* [Bugfix] Fixes two errors that occurred while sending invoice reminders.
* [Bugfix] Fixes an error when Pancake is being run in a server that has open_basedir restrictions.

### v4.7.1

* [Improvement] Estimates now have an additional menu item: Unsent Estimates.
* [Bugfix] Fixes an issue that caused the custom client names plugin not to display any client names at all in dropdowns.
* [Bugfix] Fixes an issue with connecting to pancakeapp.com when sending errors to us.

### v4.7.0

* [Feature] New Error Logger and Reporter (send errors directly to Pancake Support with a single click).
* [Improvement] Searching for a client's name now brings up their invoices, estimates, proposals and projects.
* [Improvement] You can now search for clients based on their address (Searching for "United Kingdom" will bring up all clients that have "United Kingdom" in their address field).
* [Improvement] Adds the ability to import clients with existing credit balances.
* [Improvement] Adds plugin hooks to control the search page, the projects list page and the clients list page, as well as control whether a client can download invoice files before paying or not.
* [Improvement] Adds plugin hooks to run code in the cron.
* [Improvement] Changes the default client area URL from "clients" to "client_area", to avoid confusion when Pancake is installed in a directory called "clients". This only impacts new installations; existing installations will not be touched.
* [Improvement] You can now select a custom currency as your default currency.
* [Bugfix] Fixes an issue with viewing proposals with estimates.
* [Bugfix] Fixes an issue that could cause a redirect loop while logging in.
* [Bugfix] Fixes an issue that stopped Pancake from installing in some server configurations.
* [Bugfix] Fixes an issue that stopped Pancake from loading correctly in some server configurations.
* [Bugfix] Fixes an issue with importing Bamboo exports.
* [Bugfix] Fixes an issue with viewing client notifications.
* [Bugfix] Fixes an issue with viewing client credit balances.
* [Bugfix] Fixes an issue with viewing invoices that are not yet due in the reminders page.
* [Bugfix] Fixes an issue with the calculation of client balance totals.
* [Bugfix] Fixes an issue with the calculation of tax totals in the payments report.
* [Bugfix] Fixes an issue with the styling of the tax dropdown when creating/editing invoices.
* [Bugfix] Fixes an issue with the display of the "viewable in client area" field when creating/editing projects.
* [Bugfix] Fixes an issue with the labels of the client/name/currency fields when creating/editing projects.
* [Bugfix] Fixes an issue with the layout of section buttons when editing proposals.
* [Bugfix] Fixes an issue with accessing clients via the API.
* [Bugfix] Fixes a permissions issue with the client "letter" filters.
* [Bugfix] Fixes an issue that'd prevent General Users from viewing time entries not associated with any task.
* [Bugfix] Fixes an issue with the formatting of dates in support tickets.

### v4.6.10

* [Improvement] Improves the color of invoice/estimate PDFs, for printing.
* [Bugfix] Fixes an issue that could cause a "division by zero" error in the dashboard.
* [Bugfix] Fixes an issue with converting currencies with incorrect currency codes.
* [Bugfix] Fixes an issue that could cause sub-sub-tasks not to display in the task list.

### v4.6.9

* [Bugfix] Fixes a problem with sending "You've been assigned to a task!" emails when creating tasks.
* [Bugfix] Fixes an issue that prevented General Users assigned to a task from marking it as complete.
* [Bugfix] Fixes an issue that prevented General Users from viewing clients even when they had access to them.
* [Bugfix] Fixes an issue with displaying invoices in the dashboard.

### v4.6.8

* [Improvement] Payments made with a client's credit balance will no longer appear in the Payments report.
* [Improvement] Timers are now automatically stopped for a task when the task is marked as completed.
* [Improvement] The dashboard now limits the number of overdue invoices displayed.
* [Bugfix] Fixes an issue with the "Snapshot" amounts in the dashboard.
* [Bugfix] Fixes an issue with viewing reports when there is no data to be displayed.

### v4.6.7

* [Improvement] Adds a Payments Report, with a list of all the payments you've received in a given date range, and the amount of tax you collected for each of them. This replaces the "Paid Invoices" report, as well as the "Tax Collected" report.
* [Bugfix] Fixes an issue with importing Bamboo exports.
* [Bugfix] Fixes an issue with downloading CSVs of reports.
* [Bugfix] Fixes an issue with generating invoice PDFs.
* [Bugfix] Fixes an issue that stopped Pancake from installing in some server configurations.

### v4.6.6

* [Bugfix] Improves Pancake's compatibility with PHP 5.6.
* [Bugfix] Fixes an issue that stopped Pancake from installing in some server configurations.
* [Bugfix] Fixes an issue with the Pancake Brown admin theme.
* [Bugfix] Fixes an issue with searching for hashtags in Pancake.

### v4.6.5

* [Improvement] When searching, Pancake now searches proposals' contents in addition to their title.
* [Bugfix] Fixes an issue that could prevent the custom language file from being loaded.
* [Bugfix] Fixes an issue with viewing proposals with estimates attached to them.

### v4.6.4

* [Improvement] Adds a Pancake API Endpoints document to the documents included with the full Pancake download.
* [Improvement] Adds documentation for importing from Bamboo Invoices.
* [Improvement] Adds a custom language file, which you can use for extending and overriding how Pancake words things in different places.
* [Bugfix] Hides the "Client Tax Numbers / IDs" if it has no information to display.
* [Bugfix] Fixes an issue with importing Bamboo exports.

### v4.6.3

* [Improvement] Client Custom Fields are now displayed when viewing a client.
* [Improvement] Receipts for expenses attached to invoices are now displayed in the invoice.
* [Bugfix] Fixes an issue that prevented adding receipts when editing expenses.
* [Bugfix] Fixes an issue that prevented business expenses from appearing correctly when editing them.
* [Bugfix] Deleting expenses now also deletes the receipt attached to them.

### v4.6.2

* [Improvement] Dramatically improves Pancake's performance, especially if you have a lot of invoices.
* [Bugfix] Fixes an issue accessing the Pancake dashboard.

### v4.6.1

* [Bugfix] Fixes an issue with creating clients.

### v4.6.0

* [Feature] Attach Expense Receipts
* [Feature] Business Expenses (not associated with any project/client)
* [Feature] Invoice Discounts (percentage or fixed amount)
* [Feature] Client Tax Registration IDs
* [Feature] Custom Client Fields
* [Improvement] You can now alter a client's credit balance without needing to create credit notes.
* [Bugfix] Fixes an issue with the "Access Denied" page.

### v4.5.8

* [Improvement] Adds a new /fetch method to the invoices API that lets you grab information about any invoices/estimates.
* [Improvement] Invoice CSV Exports now display all payments specified in the payment plan, as well as all invoice items.
* [Improvement] If an estimate is associated with a project, its line items will now be appended to that project when the estimate is accepted, instead of it creating a new project.
* [Bugfix] Fixes an issue that caused ticket costs to be displayed incorrectly in the admin area.
* [Bugfix] Fixes an issue that caused the plugins store to sometimes not show all available plugins.
* [Bugfix] Fixes an issue that could cause project tasks to be created twice.

### v4.5.7

* [Improvement] Pancake will now warn you before navigating away from the create/edit invoice/estimate pages.
* [Bugfix] Fixes a pagination issue when viewing the list of all projects.
* [Bugfix] Fixes a wording issue when sending estimate emails.
* [Bugfix] Fixes an issue that could cause problems accessing the dashboard.
* [Bugfix] Fixes an issue that prevented the use of the timer of new tasks until you refreshed the page.

### v4.5.6

* [Improvement] Pancake no longer rounds time entries by default. This only affects new installs.
* [Bugfix] Fixes an issue that caused Pancake to redirect you to the wrong page when duplicating an estimate in some cases.
* [Bugfix] Fixes the wording of the BCC setting.
* [Bugfix] Fixes an issue that caused Pancake to forget which time entries were being billed when editing an invoice.
* [Bugfix] Fixes an issue with generating CSVs of reports.

### v4.5.5

* [Improvement] Estimates and Proposals now have additional menu items: You can choose between viewing Accepted/Rejected/Unanswered estimates/proposals, and even view how many of which you have.
* [Improvement] You can now choose whether or not the tax column should be displayed in invoices. To access it, go to Settings > Taxes.
* [Improvement] You can now see the cost of tickets in the backend.
* [Improvement] Report PDFs are now produced in landscape mode, to better accommodate all the data.
* [Improvement] Report PDFs now include the date an invoice was paid.
* [Improvement] You can now download reports in CSV format.
* [Improvement] Pancake's install documents now include instructions on setting up Pancake's URL rewriting on nginx servers.
* [Bugfix] Fixes an issue with importing Bamboo exports.
* [Bugfix] Fixes an issue with the formatting of {invoice:paid_amount} and {invoice:unpaid_amount} for email templates. They are now displayed with a currency symbol and formatted correctly.
* [Bugfix] Fixes an issue with upgrading from Pancake 3 to Pancake 4.
* [Bugfix] Tickets in the backend are now ordered from newest to oldest.
* [Bugfix] Fixes a backward compatibility issue that caused old themes to stop working correctly.
* [Bugfix] Fixes an issue that caused clients not to be ordered correctly in dropdown menus.
* [Bugfix] Fixes a backward compatibility issue that caused problems with some payment gateways.
* [Bugfix] Fixes an issue with viewing a clients' contact history in some cases.
* [Bugfix] Fixes an issue with viewing the clients list.
* [Bugfix] Fixes an issue with creating/editing reminders.
* [Bugfix] Fixes an issue with user permissions that could cause Pancake to generate big log files.
* [Bugfix] Fixes an issue that allowed third-party themes and CSS customisations to break Pancake's icons.

### v4.5.4

* [Bugfix] If Pancake can't find a translation for a piece of text in a non-english language, it will now display that text in English.
* [Bugfix] Fixes an issue that caused problems with loading Pancake via HTTPS.
* [Bugfix] Fixes an issue with the display of project/task information in timesheet PDFs.
* [Bugfix] Fixes an issue with the display of the timesheet table in PDFs.
* [Bugfix] Fixes an issue with the display of invoice details in PDFs.
* [Bugfix] Converting an estimate to an invoice now takes into account your default due date settings.

### v4.5.3

* [Improvement] Adds the ability to view all emails sent to your clients. You will find it in the "Contact History" section, when you're viewing a client.
* [Bugfix] Fixes an issue that prevented clients from viewing their comments in project tasks in some circumstances.
* [Bugfix] Fixes an issue that caused invoice recurrences to appear in the client area if the original recurring was viewable in the client area.
* [Bugfix] If you use more than two decimal places for your item rates, they will now display correctly in the invoice.

### v4.5.2

* [Bugfix] Fixes an issue with proposal section titles containing nothing but whitespace.
* [Bugfix] Fixes an issue with the display of client names in proposals.
* [Bugfix] Fixes an issue with sending invoice emails.
* [Bugfix] Fixes an issue with generating invoices from projects.
* [Bugfix] Fixes an issue that prevented clients from seeing the default support ticket priorities if they didn't have any support rates associated with them.
* [Bugfix] Fixes an issue that caused clients to see the default business identity in payment pages, instead of the business identity they are associated with.
* [Bugfix] Fixes an issue with importing Bamboo exports.
* [Bugfix] Fixes an issue with setting the "Can send this invoice to the client" permission for general users.
* [Bugfix] Fixes an issue that prevented General Users from accessing the Clients page.

### v4.5.1

* [Improvement] You can now import IIF files.
* [Bugfix] Fixes an issue with the display of variable data in emails.
* [Bugfix] Fixes an issue with the display of pages in proposals.

### v4.5.0

This release introduces a universal login area. Now, both your clients and you see the same login page when you access Pancake, and the default page is gone.

Your clients can login to their client area using their email and passphrase.

* [Feature] Universal Login Area
* [Bugfix] Fixes an issue with the appearance of the navbar on mobile devices.
* [Bugfix] Fixes an issue with automatically marking invoices as viewable in the client area when you "Mark as Sent".
* [Bugfix] Fixes an issue that caused problems with clients replying to support tickets.
* [Bugfix] Fixes an issue with installing plugins from the Store.
* [Bugfix] Fixes an issue that caused tasks to stop appearing in the task list when they were made into sub-sub-tasks.
* [Bugfix] Fixes an issue that caused Pancake to show clients a total unpaid/paid balance including invoices that were not viewable in the client area. Those invoices are no longer included in the totals.
* [Bugfix] Clients can no longer create tickets with no priority assigned to them.
* [Bugfix] Fixes an issue that caused {invoice:amount} to be displayed in emails with 10 decimal places.
* [Bugfix] Fixes an issue with automatically generating invoice numbers.
* [Bugfix] Fixes an issue with accessing a client area's login page when a user is already logged in.
* [Bugfix] Fixes an issue with the Flat Pancake theme when accessed over HTTPS.
* [Bugfix] Fixes an issue with the layout of proposals with sections that spanned multiple pages.
* [Bugfix] Fixes an issue with saving invoices/estimates with discounts that have more than 3 digits.
* [Bugfix] Fixes an issue that allowed clients and admins to post support tickets and client area comments with unsafe code in them.
* [Bugfix] Fixes an issue that allowed access to the comments section for tasks and projects that were not viewable in their client area.

### v4.4.11

* [Bugfix] Fixes an issue with creating invoices.

### v4.4.10

* [Bugfix] Fixes an issue with the navbar on widescreen displays.
* [Bugfix] Fixes an issue with generating invoices from projects.

### v4.4.9

The "Pancake Timer App" is now located in the "Timers" menu.

* [Bugfix] Fixes the behavior of the navbar in resolutions that'd cause it to overflow.
* [Bugfix] Fixes an issue with editing time entries in the "View Entries" page.
* [Bugfix] Removes the password length limitation in the installer.
* [Bugfix] Fixes an issue with purchasing plugins after the first one.

### v4.4.8

* [Improvement] Adds plugin hooks for customizing the display of line item descriptions for time entry items.
* [Improvement] Completed tasks no longer appear in the "Timers" menu.
* [Improvement] The "Timers" menu no longer appears if you don't have any projects.
* [Bugfix] Fixes an issue that caused an error while generating PDFs of proposals.
* [Bugfix] Fixes an issue that prevented centered images in a proposal from appearing in the PDF.
* [Bugfix] Fixes an issue that required task notes to be a number when importing tasks.
* [Bugfix] Fixes an issue with tasks assigned to a General User not being visible to that user automatically.

### v4.4.7

* [Improvement] Adds support for dropdown inputs in plugins.
* [Bugfix] Fixes an issue with accessing Pancake as a General User.
* [Bugfix] Fixes an issue with running Pancake on some server configurations.

### v4.4.6

* [Improvement] You can now effortlessly include images and files in the WYSIWYG editor.
* [Bugfix] Fixes an issue with editing invoices with "Time Entry" or "Expense" line items.
* [Bugfix] Fixes an issue with editing proposals.
* [Bugfix] Fixes an issue with viewing proposal section templates and estimates.
* [Bugfix] Fixes an issue with viewing proposals with estimates attached.
* [Bugfix] Fixes an issue with adding expenses to a project.

### v4.4.5

* [Bugfix] Fixes an issue with the display of client names.

### v4.4.4

* [Improvement] The clients API now includes invoice totals for a client: total, paid_total, unpaid_total and overdue_total.
* [Improvement] Improved plugin hooks for customizing the display of client names.
* [Improvement] The Discount column no longer appears in invoices/estimates/credit notes that don't have a discount.
* [Improvement] You can now reorder project tasks, and they'll be reordered in your Pancake and the client area.
* [Improvement] Subtasks are now displayed in the client area.
* [Improvement] Milestone descriptions are now displayed in the client area.
* [Bugfix] Fixes an issue with the appearance of the Discount column in PDFs.

### v4.4.3

* [Improvement] You can now easily see the number of any ticket in the ticket system.
* [Improvement] You can now specify in your settings when you want paid support ticket invoices to be sent to your clients.
* [Bugfix] Fixes an issue with running Pancake in PHP 5.5.
* [Bugfix] Fixes an issue with displaying the date and time of the latest reply to a ticket.
* [Bugfix] Fixes an issue with the default settings after installing Pancake.
* [Bugfix] Fixes an issue with the appearance of the navbar.
* [Bugfix] Fixes several issues with untranslatable words to make it easier to translate Pancake.
* [Bugfix] Fixes several issues with importing invoices with multiple taxes using the Bamboo Invoices Importer.

### v4.4.2

* [Bugfix] Fixes an issue with updating to Pancake 4.4.0.

### v4.4.1

* [Improvement] Credit notes are now displayed in the client area.
* [Improvement] Clients' credit balances are now displayed in the client area.

### v4.4.0

* [Feature] Adds support for credit notes.
* [Feature] Adds support for client credit balances, and for using a client's credit balance to mark invoices as paid.
* [Feature] Adds support for bulk invoice payments.
* [Feature] Adds support for invoice discounts.
* [Bugfix] Fixes an issue with calculating amounts for negative tax percentages.
* [Bugfix] Fixes an issue with installing Pancake.
* [Bugfix] Fixes an issue with duplicating invoices/estimates.

### v4.3.10

* [Bugfix] Fixes an issue that could prevent Pancake from installing correctly.

### v4.3.9

* [Bugfix] Fixes an issue with viewing the dashboard.

### v4.3.8

* [Improvement] You can now edit your remittance slip from within Settings.
* [Improvement] Adds shortcuts to edit invoices, when viewing a report.
* [Improvement] Adds an option to always load Pancake via HTTPS.
* [Improvement] Adds the ability to send clients an email inviting them to their Client Area.
* [Bugfix] Fixes an issue that could cause some people to see a payment failed page after completing a payment successfully.
* [Bugfix] Fixes several issues with sorting expenses.
* [Bugfix] Fixes an issue with the display of invoice payments in the Client Activity section.
* [Bugfix] Fixes the behavior of the Settings menu in resolutions that'd cause the settings menu to be cut off.
* [Bugfix] Fixes an issue that'd cause the navbar not to correctly highlight the page you're on.
* [Bugfix] Fixes an issue with the rendering of characters in PDFs.
* [Bugfix] Fixes an issue that prevented General Users from accessing tickets assigned to them.
* [Bugfix] Fixes an issue with creating new business identities.

### v4.3.7

* [Improvement] Adds the ability to specify whether you want your business name to appear alongside your logo or not.
* [Improvement] Adds the ability to specify a brand name for your business identity.
* [Improvement] Adds the ability to specify separate billing and support email addresses for each business identity.
* [Improvement] Adds the ability to use negative values in reusable invoice items.
* [Improvement] Adds the ability to edit users' usernames.
* [Bugfix] Fixes several issues with untranslatable words to make it easier to translate Pancake.
* [Bugfix] Fixes an issue that prevented Pancake from sending payment notifications when using the "Add Payment" option.
* [Bugfix] Fixes an issue with recurring invoices' due dates.
* [Bugfix] Fixes an issue that could prevent clients from accessing the client area.
* [Bugfix] Fixes an issue that could prevent clients from viewing project timesheets.
* [Bugfix] Fixes an issue that could cause problems with accessing images in third-party themes.

### v4.3.6

* [Bugfix] Fixes an issue with editing invoices that use multiple taxes.
* [Bugfix] Fixes an issue that could cause Pancake to display "Unpaid: $0.00" in paid invoices.
* [Bugfix] Fixes an issue with the display of partial payment amounts in invoices.
* [Bugfix] Fixes an issue that could cause Pancake to create payment parts for $0.00 when adding payments to invoices.

### v4.3.5

* [Bugfix] Fixes an issue with creating new invoices.

### v4.3.4

* [Bugfix] Fixes an issue with the multiple taxes system.

### v4.3.3

This update focuses on Pancake's performance across different server configurations. Pancake should now load a lot faster overall.

If, after this update, you're still noticing any pages taking longer than a second to start loading, please let us know so we can keep improving it!

* [Improvement] Dramatically improves Pancake's performance, especially if you have a lot of invoices.
* [Bugfix] Fixes an issue that caused the client area not to take on the style of our new frontend theme.
* [Bugfix] Fixes several edge-case issues with the new multiple taxes system.

### v4.3.2

* [Bugfix] Fixes an issue that caused problems with running Pancake on MySQL versions lower than 5.5.3.

### v4.3.1

* [Bugfix] Fixes an issue that caused problems updating to 4.3.0 if you had no reusable invoice items.

### v4.3.0

This release adds the much-requested support for both multiple taxes and compound taxes, and a new frontend theme!

Compound taxes are easy: Just go to Settings > Taxes, and specify which of your taxes should be compound taxes. Pancake will take care of the rest.

Multiple taxes are straightforward, too: In the invoice create/edit pages, you will see a dropdown that lets you pick from any number of taxes you want.

* [Feature] Adds the ability to use compound taxes.
* [Feature] Adds the ability to use multiple taxes for invoice line items.
* [Feature] Introduces a summer inspired, cool tone, flat theme for the front end!
* [Bugfix] Fixes an issue that caused problems upgrading to Pancake 4 from 3.6.6 or lower.
* [Bugfix] Fixes an issue that could cause problems viewing task notes.
* [Bugfix] Fixes an issue that could prevent you from importing invoices.

### v4.2.7

* [Bugfix] Fixes an issue that could cause problems installing Pancake.
* [Bugfix] Fixes an intermittent issue that could cause some people to have problems with their business identities.

### v4.2.6

* [Improvement] The client activity log now displays both the date and time of a client's action.
* [Bugfix] Fixes an issue that could cause some people to see a payment failed page after completing a payment successfully.
* [Bugfix] Fixes an issue that could cause Pancake not to load correctly from HTTPS.
* [Bugfix] Fixes an issue that caused some people to have problems with their business identities.

### v4.2.5

* [Improvement] Improves Pancake's appearance.
* [Bugfix] Fixes an issue with the size of logos on some client-accessible pages.
* [Bugfix] Fixes an issue that could cause problems with updating from Pancake 3.1 or lower.
* [Bugfix] Fixes an issue that caused problems with some third-party themes.

### v4.2.4

* [Improvement] Improves compatibility installing Pancake on several different server configurations.
* [Improvement] Adds the ability to sort/filter expenses.
* [Bugfix] Fixes an issue that caused errors when trying to access a task's discussion page.

### v4.2.3

* [Feature] Adds a system-wide timesheet so you can see how much time your users are logging across all projects.

### v4.2.2

* [Improvement] Improves the navbar's appearance.

### v4.2.1

* [Improvement] Updated menu CSS and navigational layout
* [Improvement] Added Create Estimate navigation item
* [Improvement] Added user icons to assigned tasks
* [Improvement] Fixed dashboard display of projects

### v4.2.0

* [Improvement] Complete dashboard overhaul designed to put the most important information in front of you and your team
* [Improvement] Amazing new task list that simplifies the management of tasks
* [Improvement] Adding project snapshot to quickly show you the project status
* [Improvement] Cleaner, brighter, more thought out overall interface
* [Improvement] Login page has been spruced up a bit to match new look and feel
* [Improvement] Quick add tasks now default to 7 days in the future for due date, this is a setting that you can adjust in the general section of settings
* [Improvement] Dashboard task now show the most pressing tasks from across all projects helping you to hit your deadlines
* [Improvement] Dashboard now shows the 4 projects with deadlines concerning you that are most pressing
* [Bugfix] Session timeout has been increased to resolve early timeouts

### v4.1.33

* [Improvement] Adds support for biweekly recurring invoices.
* [Improvement] Pressing the "x" button when editing an invoice's payment will now discard the changes you've made, instead of saving them.
* [Bugfix] Fixes an issue that could cause problems with saving user permissions for a client.
* [Bugfix] Fixes several issues with untranslatable words to make it easier to translate Pancake.
* [Bugfix] Fixes an issue that caused problems with the layout of proposal PDFs.

### v4.1.32

* [Improvement] Adds the ability for clients to attach files to support tickets.
* [Bugfix] Fixes an issue with viewing project task discussions.
* [Bugfix] Fixes an issue that could cause problems while trying to import invoices in some currencies.
* [Bugfix] Fixes an issue that could cause Pancake to round up time entries incorrectly in some cases.
* [Bugfix] Fixes an issue that could cause logos not to load correctly in some server configurations.

### v4.1.31

This release adds support for multiple business identities!

You can access them in Settings > Business Identities, and you can also specify which business identity each client should see by clicking the Edit button in the Clients page.

* [Feature] Adds support for multiple business identities.
* [Improvement] Pancake now automatically marks invoices/estimates/proposals as viewable in the client area when you email them to your clients.
* [Improvement] Improves Pancake's support for converting between less widely used currencies.
* [Bugfix] Fixes an issue that caused Pancake to display an error when updating from Pancake 3 to 4.
* [Bugfix] Fixes several issues with untranslatable words to make it easier to translate Pancake.
* [Bugfix] Fixes an issue that caused Pancake to have problems with changing report dates.

### v4.1.30

* [Bugfix] Fixes an issue that caused totals to be calculated incorrectly for proposals with more than one estimate.
* [Bugfix] Fixes an issue with creating proposals in Pancake when MySQL Strict Mode is turned on.
* [Bugfix] Fixes an issue that prevented Pancake from saving the "Time Entry Times" setting.
* [Bugfix] Fixes an issue that could cause Pancake to display an error when installing for the first time.

### v4.1.29

* [Improvement] Adds the ability for plugins to manipulate navbar links and quick links via a new Navigation API. We'll be releasing documentation shortly.
* [Improvement] Adds the ability for plugins to contain modules (with controllers, models, libraries and views of their own). We'll be releasing documentation shortly.
* [Bugfix] Fixes an issue that caused your logo to appear twice when clients are logging into their client area.

### v4.1.28

* [Improvement] You can now log into Pancake with either your username or your email address.
* [Bugfix] Fixes an issue that caused PDF generation to fail if the fonts folder was not writable.
* [Bugfix] Improves Pancake's handling of errors.

### v4.1.27

* [Improvement] Dramatically improves the performance of Pancake for users with a lot of projects/tasks/time entries.

### v4.1.26

* [Bugfix] Fixes an issue that could cause Pancake to display a white page in some server configurations.
* [Bugfix] Fixes an issue that caused Pancake to be unable to update if you did not have a .htaccess file in place.

### v4.1.25

* [Bugfix] Fixes an issue that prevented Pancake from updating in some server configurations.
* [Bugfix] Fixes an issue that caused problems with generating project templates.
* [Improvement] Improves the installer's detection of whether your server can run Pancake or not (in addition to the improvements we made in 4.1.24).

### v4.1.24

* [Improvement] You can now specify whether you want your reports and dashboard to display figures based on when invoices are created (accrual accounting) or when invoices are paid (cash accounting).
* [Improvement] Your logo is now displayed in the landing page and on client area pages.
* [Improvement] Improves the installer's detection of whether your server can run Pancake or not.
* [Improvement] Partially-paid invoices now display their payment status as "Partially" in the Client Area.
* [Bugfix] Fixes an issue that caused problems with reordering proposal pages.
* [Bugfix] Fixes an issue that caused a horizontal scrollbar to appear in BCC emails.
* [Bugfix] Fixes several issues with untranslatable words to make it easier to translate Pancake.

### v4.1.23

* [Bugfix] Fixes an issue that caused problems accessing Pancake via the API.
* [Bugfix] Fixes an issue that prevented Pancake from creating/editing clients in some cases.
* [Bugfix] Fixes an issue that caused problems when installing Pancake in GoDaddy.
* [Bugfix] Fixes an issue that caused a valid transaction not to mark an invoice as paid with Authorize.net.
* [Bugfix] Fixes an issue with importing a file after you've exported something.

### v4.1.22

* [Bugfix] Fixes an issue with the "forgot password" page.
* [Bugfix] Fixes an issue that caused client timesheets not to display all time entries in some cases.
* [Bugfix] Fixes an issue with importing time entries.

### v4.1.21

* [Improvement] The client area now displays paid and unpaid amounts for each invoice.

### v4.1.20

* [Improvement] You can now allow your clients to create support tickets.
* [Bugfix] Fixes an issue that caused problems with viewing the timers of running tasks.
* [Bugfix] Fixes an issue with responding to tickets in Pancake when MySQL Strict Mode is turned on.

### v4.1.19

* [Improvement] Adds the ability to export a CSV of your clients.
* [Improvement] Adds the aility to export a CSV of your expenses.
* [Bugfix] Fixes an issue that prevented Pancake from installing on servers without the MySQLi extension.
* [Bugfix] Fixes an issue with the display of the gear menu in the dashboard.
* [Bugfix] Fixes an issue with calculating totals for the expenses report when using multiple currencies.
* [Bugfix] Fixes an issue with completing tasks and accessing task tools on touch devices.

### v4.1.18

* [Bugfix] Fixes an issue that caused discussion notification emails to be sent twice in some cases.
* [Bugfix] Fixes an issue that caused very wide logos to display incorrectly in PDFs.
* [Bugfix] Fixes an issue that caused Pancake to stop sending emails if you were using a third-party theme and then deleted it.

### v4.1.17

* [Improvement] Adds the ability to delete project templates.
* [Bugfix] Fixes an issue that caused milestones to be lost when creating project templates.
* [Bugfix] Fixes an issue that prevented some users from accessing the Pancake API.
* [Bugfix] Fixes an issue that caused problems importing CSVs in certain server configurations.

### v4.1.16

* [Improvement] Adds the ability to export a CSV of your invoices. More exports to come; let us know which ones you want!
* [Improvement] Adds support for Dominican Peso.
* [Bugfix] Fixes an issue that caused all proposals to show up regardless of what you searched for.

### v4.1.15

* [Bugfix] Fixes an issue with the settings page that caused some settings to show up twice.
* [Bugfix] Fixes several layout issues in the settings page when accessing Pancake via a mobile device.
* [Bugfix] Fixes a few formatting issues with email variables.
* [Bugfix] Fixes an issue that could cause the expenses report not to appear.
* [Bugfix] Fixes an issue with archiving projects via the gear menu.

### v4.1.14

* [Improvement] The dashboard now only displays totals since the start of your fiscal year. You can change the start of the fiscal year in Settings.
* [Bugfix] Fixes a problem with the appearance of the Import/Export settings page.
* [Bugfix] Fixes a minor issue that could cause an error if an expense belonged to a project that was deleted.
* [Bugfix] Fixes a minor issue that could cause an error when creating a ticket.
* [Bugfix] Fixes an issue with creating tickets in Pancake when MySQL Strict Mode is turned on.
* [Bugfix] Fixes an issue with storing API keys in new installations of Pancake.
* [Bugfix] Fixes an issue with generating new invoice numbers.

### v4.1.13

* [Bugfix] Fixes an issue with the size of logos in emails.
* [Bugfix] Fixes several issues with accessing the Pancake API.
* [Bugfix] Fixes several layout issues when accessing Pancake via a mobile device.

### v4.1.12

* [Improvement] Improves functionality for payment gateway developers.

### v4.1.11

* [Improvement] Adds an expenses report.
* [Improvement] Adds the ability to import time entries based on client/project/task.
* [Bugfix] Fixes several issues that could cause problems with sending out emails.

### v4.1.10

* [Improvement] Adds the ability to close alert messages.
* [Improvement] Improves the display of the "view client" page.
* [Bugfix] Fixes an issue that caused {estimate:number} not to work in notification emails.

### v4.1.9

* [Improvement] Improves the display of estimates when adding an estimate to a proposal.
* [Bugfix] Fixes an issue that prevented admins and users assigned to a task from being notified of new private comments.
* [Bugfix] Fixes an issue that prevented users on mobile devices from accessing the gear menu for invoices/estimates/proposals.
* [Bugfix] Fixes an issue with the appearance of the list of proposals.
* [Bugfix] Fixes an issue with changing the payment date of invoices that were already paid.

### v4.1.8

* [Improvement] You can now add custom frontend/backend JavaScript to your Pancake, to modify its behavior on the fly.
* [Bugfix] Fixes an issue that prevented users from logging in by pressing the Enter key.
* [Bugfix] Fixes an issue caused by notifications that prevented the use of the navbar.
* [Bugfix] Fixes an issue that caused PDFs to break into a new page in unexpected places.
* [Bugfix] Fixes an issue that caused two search boxes to appear when viewing a client's details.

### v4.1.7

* [Bugfix] Fixes an issue with invoice PDF layouts caused by logo size issues.
* [Bugfix] Fixes an issue with the standalone timer app when it is run by multiple users at the same time.
* [Bugfix] Fixes an issue with Pancake running over HTTPS.
* [Bugfix] Fixes an issue with support tickets in the client access area.

### v4.1.6

* [Improvement] Improves the display of private task comments.
* [Improvement] Estimates and Invoices now display a running total at the bottom of the "line items" list.
* [Bugfix] Fixes the ordering of the client activity section of the dashboard (it was displaying oldest client activity first).
* [Bugfix] Fixes an issue that caused problems with creating tickets when there are no support rates set for a client.
* [Bugfix] Fixes an issue that caused Pancake to show the completion percentage of a project as 0%.

### v4.1.5

* [Bugfix] Fixes an issue that caused problW0wems accessing the dashboard.

### v4.1.4

* [Improvement] Improves the layout of the dashboard for users that are not making use of Pancake's project management features.
* [Improvement] You can now view a list of all your tasks, client activity, team activity and latest comments, without any limits.
* [Improvement] Improves the display of invoice lists and invoice amounts.
* [Bugfix] Fixes an issue with the branding settings page.
* [Bugfix] Fixes an issue with starting and stopping timers.
* [Bugfix] Fixes an issue where the search box wouldn't appear in some pages.

### v4.1.3

* [Bugfix] Fixes an issue that could cause problems with creating invoices.
* [Bugfix] Fixes an issue that caused problems with creating tickets.
* [Bugfix] Fixes an issue that could cause problems with generating invoice PDFs.
* [Bugfix] Fixes an issue that could cause problems with sending invoice emails.
* [Bugfix] Fixes an issue that could cause problems accessing the projects page.
* [Bugfix] Fixes an issue that prevented clients from accessing uploaded support ticket files.
* [Bugfix] Fixes an issue that prevented users from archiving tickets.
* [Bugfix] Fixes an issue that prevented users from using the standalone timer in certain server configurations.

### v4.1.2

* [Improvement] Adds support for converting invoices back to estimates.
* [Improvement] Updates the HTML-to-PDF library we use. Note for theme developers: This adds support for, among other things, loading custom fonts via @font-face and using CSS floats.
* [Improvement] Adds useful classes to frontend theme to allow for easier targeting via CSS.
* [Bugfix] Fixes an issue that could cause an error to appear when creating or editing invoices.
* [Bugfix] Fixes an issue with the standalone timer on some mobile devices.
* [Bugfix] Fixes an issue that caused completed tasks to appear in the standalone timer.
* [Bugfix] Fixes an issue with the display of invoice/estimate notes.
* [Bugfix] Fixes an issue that prevented non-administrator users from accessing the standalone timer.
* [Bugfix] Fixes an issue that allowed non-administrator users to receive client activity notifications for items that they had no access to.
* [Bugfix] Fixes an issue with the display of overdue invoices.
* [Bugfix] Stops the settings page from locking up when there are updates available.

### v4.1.1

This release adds a standalone timer that works awesomely on a second monitor so as to not interfere with your <strike>day-z zombie quest</strike> client work. It works fantastically on mobile devices and you should save it to your home screen.

* [Feature] Standalone Timer
* [Improvement] Speeds up marking tasks as complete.
* [Bugfix] Fixes an issue with the counts of overdue invoices.

### v4.1.0

In this release, we have massively improved the overall appearance and structure for tasks and projects section, as well as of the dashboard, thus allowing you a better over sight of things that are important.

* [Improvement] You can now see a list of latest comments (from your client, or from your team) in your dashboard.
* [Improvement] You can now see a list of your latest client activity in your dashboard.
* [Improvement] You can now see your ongoing tasks, track time for them and mark them as complete right from the dashboard.
* [Improvement] You can now "quick add" a task to a project, when viewing a project.
* [Improvement] You can now see a list of your project's milestones when viewing a project.
* [Improvement] You can now "quick add" a task to a milestone, when viewing a milestone.
* [Improvement] You can now drag & drop tasks in a project, moving them between milestones and even making them sub-tasks of other tasks.
* [Improvement] The notification system will now notify you when a client pays an invoice.
* [Improvement] The notification system will now notify you when a client views a proposal.
* [Improvement] The notification system will now notify you when a client accepts a proposal.
* [Improvement] The notification system will now notify you when a client rejects a proposal.
* [Improvement] The notification system will now notify you when a client accepts an estimate.
* [Improvement] The notification system will now notify you when a client rejects an estimate.
* [Improvement] Adds support for sending email via SMTP using TLS.
* [Bugfix] Fixes an issue with the display of task notes that could cause a project's page to display incorrectly.
* [Bugfix] Fixes an issue that could cause some time entry notes not to display when generating an invoice from a project.
* [Bugfix] Fixes an issue with deleting project milestones.
* [Bugfix] Fixes an issue that caused problems installing Pancake in some server configurations.

### v4.0.5

* [Improvement] The "Download PDF" button now always opens the PDF in a new tab.
* [Improvement] Pancake will now notify you when a client reads an invoice email (if images are not blocked).
* [Improvement] Recurring Invoices now display a link to their last recurrence.
* [Improvement] You can now enter a comma-separated list of emails in the "Notify Email" setting, if you want notifications to be sent out to multiple addresses.
* [Bugfix] Fixes an issue that could cause errors with saving invoices.
* [Bugfix] Fixes an issue with viewing proposal PDFs.
* [Bugfix] Fixes an issue with running Pancake in nginx.

### v4.0.4

* [Improvement] Task Comments will now automatically be emailed to a task's assigned user in addition to the client and the admin.
* [Improvement] Caches PDFs automatically, which makes them much faster to load.
* [Bugfix] Fixes an issue with email template settings.
* [Bugfix] Fixes an issue that caused an error after installing Pancake 4 from scratch.
* [Bugfix] Fixes an issue that caused sub tasks not to be marked as complete when their parent task was marked as complete.

### v4.0.3

* [Bugfix] Fixes an issue that caused invoice numbers not to display correctly in payment receipt emails.
* [Bugfix] Fixes an issue that caused an error in reports when there were invoices with no cost.
* [Bugfix] Fixes an issue that caused an error when saving payment details if the transaction ID used special characters.
* [Bugfix] Fixes an issue that caused an error when installing Pancake in nginx servers.

### v4.0.2

* [Improvement] Adds the ability to set different languages for each client.
* [Bugfix] Fixes an issue that caused success notifications to disappear after a few seconds.
* [Bugfix] Fixes an issue that caused incorrect comment counts to be displayed when a task has private comments.
* [Bugfix] Fixes an issue with saving proposals in some server configurations.
* [Bugfix] Fixes an issue with manually creating invoices with "Time Entry" line items.

### v4.0.1

* [Improvement] The "you've been assigned to a task" notification email now contains the task's information, and is editable in Settings -> Emails.
* [Improvement] The "you've been assigned to a milestone" notification email now contains the milestone's information, and is editable in Settings -> Emails.
* [Improvement] The "new comment" email is now editable in Settings -> Emails.
* [Bugfix] Resolves a lot of issues with untranslatable text.
* [Bugfix] Fixes an issue with the tablet layout of the create/edit invoice page.
* [Bugfix] Fixes an issue with the login page.

### v4.0.0

* Responsive Admin (so you can use Pancake with your smartphone or tablet of choice)
* Expense Tracking
* Support Tickets
* Fine-grained User Permissions
* Smart CSV Imports
* Smart billed/unbilled tracking for time entries and expenses
* Convert Proposals to Projects (and the ability to accept/reject estimates)
* Site-wide Search
* Reminders
* Plugins
* Pancake Theme/Payment Gateway/Plugin Store
* And plenty of other new features and improvements!

### v4.0.0-beta.46

* [Improvement] Adds the ability to send payment receipt emails when manually adding payments to invoices.
* [Improvement] Changes the "Time Format" setting to "Use 12/24 Hour Clock", to make it easier to use.
* [Bugfix] Fixes an issue that caused an "Access Denied" message when accessing the "Forgot Password?" page.
* [Bugfix] Fixes an issue that caused columns to become misaligned when viewing time entries for a task.
* [Bugfix] Fixes an issue that caused Pancake to ignore 12/24 hour time format settings in some cases.
* [Bugfix] Fixes an issue that caused Pancake not to store payment transaction IDs if they had special characters.
* [Bugfix] Fixes an issue that could cause Pancake to resend recurring invoices that were manually marked as sent.

### v4.0.0-beta.45

* [Bugfix] Fixes an issue that could cause Pancake not to load in certain server configurations.
* [Bugfix] Fixes an issue that could cause projects not to appear when viewing a client's details in the admin.
* [Bugfix] Fixes an issue with the display of overdue dates in the Invoice Reminders page.
* [Bugfix] Fixes an issue that caused invoices generated from projects to use Pancake's default currency by default, instead of the project's currency.
* [Bugfix] Fixes an issue that could cause license key errors when saving your settings.
* [Bugfix] Fixes an issue that could cause the currency symbol to show incorrectly for estimates in the client area.
* [Bugfix] Fixes an issue that could cause errors when the number of projected hours in a project is the same as the number of logged hours.
* [Bugfix] Fixes an issue with the calculation of logged / projected hours ratio.
* [Bugfix] Removes the warning for PCI compliance in Stripe (PCI is not required).
* [Bugfix] Fixes an issue that could cause invoices to appear multiple times in a search.
* [Bugfix] Fixes an issue with viewing project information in Pancake 4.
* [Bugfix] Fixes an issue with installing Pancake 4.
* [Bugfix] Fixes an issue with the proposals page.
* [Bugfix] Fixes an issue with saving proposal sections.
* [Bugfix] Fixes an issue with creating tickets in Pancake when MySQL Strict Mode is turned on.

### v4.0.0-beta.44

* [Bugfix] Fixes several issues that caused problems saving data in Pancake.

### v4.0.0-beta.43

* [Bugfix] Fixes an issue with editing users.
* [Bugfix] Updates CodeIgniter to 2.1.4.

### v4.0.0-beta.42

* [Improvement] Adds a shortcut button to allow clients to get to their support tickets from their client area.
* [Bugfix] Fixes an issue with viewing time entries not associated with any task.
* [Bugfix] Fixes an issue with MySQL in Strict Mode if the tax field was left empty when installing.
* [Bugfix] Fixes an issue with running Pancake on IIS servers.
* [Bugfix] Fixes an issue with updating Pancake on some server configurations.
* [Bugfix] Fixes an issue with saving settings.
* [Bugfix] Fixes an issue with creating users.

### v4.0.0-beta.41

* [Improvement] Displays "completed" instead of "n/a" as a task status in the client area if the task has been completed.
* [Improvement] Improves the appearance of long project names in the projects list.
* [Improvement] Adds default number for invoices and estimates on new installations of Pancake.
* [Improvement] Redirects the user to the "edit invoice" page after duplicating an invoice.
* [Bugfix] Fixes an issue with logos not appearing in PDFs.
* [Bugfix] Fixes an issue with the client selector when creating invoices.
* [Bugfix] Fixes a lot of issues with untranslatable words to make it easier to translate Pancake.
* [Bugfix] Fixes an issue with PDFs of proposals not being attached to emails.
* [Bugfix] Fixes an issue with cookie paths in some server configurations.
* [Bugfix] Fixes an issue with running Pancake when MySQL Strict Mode is turned on.
* [Bugfix] Fixes an issue with .htaccess in Pancake installations running on LiteSpeed.

### v4.0.0-beta.40

* [Feature] Pancake Store - Install plugins, themes and gateways straight from your Pancake. This is a beta feature; if anything's missing or not working as expected, please let us know.
* [Improvement] Adds a shortcut to client admin pages in the invoice lists.
* [Improvement] Adds a setting for time formats.
* [Improvement] Adds a shortcut to client areas in the client lists.
* [Bugfix] Fixes an issue with the accepted/rejected buttons when viewing an estimate.
* [Bugfix] Fixes an issue with the display of the timers menu.
* [Bugfix] Fixes an issue with the display of invoice totals.
* [Bugfix] Fixes an issue with the display of due dates.
* [Bugfix] Fixes an issue with the display of client phone and mobile numbers.
* [Bugfix] Fixes an issue with the contact log.
* [Bugfix] Fixes an issue with client timesheets.
* [Bugfix] Fixes an issue with viewing multiple modals on the same page.
* [Bugfix] Fixes an issue with the client selector when creating invoices.
* [Bugfix] Fixes an issue with expense categories.
* [Bugfix] Fixes an issue with ini_set() in hosts that have disabled it.
* [Bugfix] Fixes an issue with searching for projects.

### v4.0.0-beta.39

* [Improvement] Resets a task's status when you mark it as completed.
* [Improvement] Adds a setting to specify the newline character to use in emails, to fix an issue with some email server configurations.
* [Bugfix] Fixes an issue with running Pancake when MySQL Strict Mode is turned on.
* [Bugfix] Fixes an issue with auto-completing reusable invoice items.
* [Bugfix] Fixes an issue with viewing client area comments if you're using a custom "client access link prefix".
* [Bugfix] Fixes an issue with creating and editing invoices for archived projects.
* [Bugfix] Fixes an issue with the display of task notes.
* [Bugfix] Fixes an issue with the issue dates of invoices created by the cron job.
* [Bugfix] Fixes an issue that could cause multiple notifications to appear when an invoice is viewed.
* [Bugfix] Fixes an issue with emailing recurring invoices.

### v4.0.0-beta.38

* [Improvement] Adds the ability to archive/un-archive projects when viewing them.
* [Improvement] Brings back the ability to convert estimates to invoices.
* [Bugfix] Fixes an issue with editing invoices and estimates.
* [Bugfix] Fixes an issue with creating invoices and estimates.
* [Bugfix] Fixes the display of task statuses in the client area.
* [Bugfix] Fixes an issue with the display of the generate invoice/estimate quick links when viewing a project.
* [Bugfix] Fixes an issue with custom payment gateway forms.
* [Bugfix] Fixes an issue with viewing invoice and client area files.
* [Bugfix] Fixes an issue with sending emails via SMTP (SSL/TLS). If you've been having problems, go to the settings page and re-enter your details.
* [Bugfix] Fixes an issue with creating estimates associated with a project.
* [Bugfix] Fixes an issue with the project selector when editing invoices.
* [Bugfix] Fixes an issue with time entry notes in invoices.
* [Bugfix] Fixes an issue with the "view entries" page when there are no time entries to display.
* [Bugfix] Fixes an issue with changing default currencies.

### v4.0.0-beta.37

* [Improvement] Adds a subtotal of tracked time for each task, when viewing a project's timesheet.
* [Improvement] Includes task notes in "Time Entry" line items.
* [Improvement] Brings back Pancake 3's public project timesheets.
* [Improvement] Adds the date and time of time entries to "Time Entry" line item notes.
* [Improvement] Adds setting for specifying how to generate an invoice from a project (one line item per task/milestone/time entry).
* [Improvement] Removes support for creating Simple invoices.
* [Improvement] Separates the numbering system for invoices from the numbering system for estimates.
* [Improvement] Brings back support for editing estimate numbers.
* [Improvement] Displays overdue unsent invoices in the "Overdue Invoices" page.
* [Bugfix] Fixes an issue that would cause notes to be removed when editing an invoice with non-standard line items.
* [Bugfix] Fixes an issue with running Pancake on some server configurations.
* [Bugfix] Fixes an issue with the display of payment plans on invoices.
* [Bugfix] Fixes an issue with deleting invoices.
* [Bugfix] Fixes several issues with running Pancake when MySQL Strict Mode is turned on.
* [Bugfix] Fixes an issue with viewing a proposal's outline when it's longer than the screen's height.
* [Bugfix] Fixes an issue that would cause invoices to become unpaid when edited.
* [Bugfix] Fixes an issue with the update system.
* [Bugfix] Fixes an issue with viewing task notes.
* [Bugfix] Fixes an issue with sending proposals.
* [Bugfix] Fixes an issue with removing project due dates.
* [Bugfix] Fixes an issue with paragraphs in proposals.
* [Bugfix] Fixes an issue with the support ticket email subject not updating.
* [Bugfix] Fixes an issue with more than one line item having time entries for the same task.
* [Bugfix] Fixes the project selector when creating invoices.
* [Bugfix] Fixes an issue with invoice ordering.

### v4.0.0-beta.36

* [Bugfix] Fixes an issue with using a comma instead of a dot for currency exchange rates.
* [Bugfix] Fixes an issue with the gear menu on Chrome.
* [Bugfix] Fixes an issue with recurring invoices.
* [Bugfix] Fixes an issue with time entries assigned to no task.
* [Bugfix] Fixes an issue with time entry notes, when generating an invoice from a project.

### v4.0.0-beta.35

* [Improvement] Displays task statuses alongside task titles in the dashboard.
* [Improvement] Hides Pancake notifications from non-admins.
* [Bugfix] Fixes an issue with creating invoices.
* [Bugfix] Fixes an issue with displaying overdue invoices twice when viewing a client.
* [Bugfix] Fixes an issue with saving values for the "Time Entry Rounding" setting in HH:MM format.
* [Bugfix] Fixes an issue with client totals displayed in the client area.
* [Bugfix] Fixes an issue that would allow a General User to see which tasks the rest of his team was working on.
* [Bugfix] Fixes an issue with filtering clients by letter in the clients page.
* [Bugfix] Fixes an issue with assigning users for Pancake installations with only one user.
* [Bugfix] Fixes an issue with viewing invoice and proposal PDFs.
* [Bugfix] Fixes several issues with displaying logos.
* [Bugfix] Fixes several issues with the search engine.
* [Bugfix] Fixes an issue with adding images and links in proposals using the visual editor.
* [Bugfix] Fixes an issue with leaving the "Time Entry Rounding" setting empty or set to 0.
* [Bugfix] Fixes an issue with viewing task statuses.
* [Bugfix] Fixes several issues with using multiple currencies in Pancake.
* [Bugfix] Fixes an issue with ticket statuses and priorities.
* [Bugfix] Fixes a gateway issue with saving settings.
* [Bugfix] Fixes an issue with invoice amounts not including tax in the client area.
* [Bugfix] Fixes several issues with running Pancake when MySQL Strict Mode is turned on.
* [Bugfix] Fixes several issues with the plugin system.
* [Bugfix] Fixes an issue with viewing proposals if an estimate attached to them no longer exists.

### v4.0.0-beta.34

* [Bugfix] Fixes an issue with the update system.
* [Bugfix] Fixes an issue with the layout of the settings page.
* [Bugfix] Fixes several issues with viewing the client area.
* [Bugfix] Fixes an issue with Pancake in servers where set_time_limit() is disabled.

### v4.0.0-beta.33

* [Bugfix] Fixes a Firefox issue with the settings page when there are updates available.
* [Bugfix] Fixes an issue with updating from Beta 29 to Beta 30+.

### v4.0.0-beta.32

* [Improvement] Improves the layout of the dashboard.
* [Bugfix] Fixes an issue with editing invoices.
* [Bugfix] Fixes an issue with viewing tickets.

### v4.0.0-beta.31

* [Bugfix] Fixes a layout issue in Firefox.

### v4.0.0-beta.30

* [Improvement] Improved the feedback given by the "update now" button when you click it.
* [Improvement] Removes the update popup and adds a less intrusive way to notify users of new updates.
* [Improvement] Adds additional information to the client area's front page, including the client's unpaid balance, the client's latest invoice's details and the total amount paid to date by the client.
* [Improvement] Adds the ability to delete users.
* [Improvement] Changes the display of invoices in the dashboard to match the display of invoices everywhere else in Pancake.
* [Improvement] Renames the "Task Time Interval" setting to "Time Entry Rounding". The setting now rounds up your time entries when billing for them.
* [Improvement] Adds a shortcut for creating estimates.
* [Improvement] Changes the display of project tasks' tracked time to HH:MM format instead of decimal.
* [Improvement] Hides milestones when there are no tasks to be displayed for them.
* [Improvement] Lifts the "recurring invoices are limited to one part payments" limitation after the invoice has been sent or partially paid.
* [Bugfix] Fixes an issue with editing a user's company and phone number.
* [Bugfix] Fixes an issue with not being able to logout on mobile.
* [Bugfix] Fixes an issue with including time entry notes in invoices.
* [Bugfix] Fixes several issues with invoices with expense line items created before Beta 25.
* [Bugfix] Fixes an issue with the display of invoice totals.
* [Bugfix] Fixes an issue with adding an invoice from the client page.
* [Bugfix] Fixes an issue with setting permissions in tasks.
* [Bugfix] Fixes a rounding issue in partial payments.
* [Bugfix] Fixes an issue with ordering invoices and estimates in the client area.
* [Bugfix] Fixes an issue with unassigned items in single-user Pancake installations.
* [Bugfix] Fixes an issue that caused the default tax to be ignored when generating an invoice from a project.
* [Bugfix] Fixes an issue with reassigning tasks to other users.
* [Bugfix] Fixes an issue with task completion notification emails unnecessarily being sent to the person who completed the task.
* [Bugfix] Fixes all the "pancake is having problems downloading" errors.

### v4.0.0-beta.29

* [Improvement] Hides update notifications from General Users.
* [Bugfix] Fixes an issue with textboxes breaking the layout, specifically within the ticketing system.
* [Bugfix] Fixes an issue with saving payment plans when editing invoices.
* [Bugfix] Fixes an issue with deleting SIMPLE invoices.
* [Bugfix] Fixes an issue with the display of tracked project hours.
* [Bugfix] Fixes an issue with Stripe payments.


### v4.0.0-beta.28

* [Improvement] Hides menu items if the user has no access to them.
* [Bugfix] Fixes an issue with viewing estimates' PDFs.
* [Bugfix] Fixes an issue with creating invoices and estimates when you haven't selected a client.
* [Bugfix] Fixes an issue with estimate items showing up as "Expense".
* [Bugfix] Fixes an issue with "Add Payment" for invoices.
* [Bugfix] Fixes an issue with viewing milestones after editing a task.
* [Bugfix] Fixes an issue with viewing proposals.
* [Bugfix] Fixes an issue with viewing time entries.

### v4.0.0-beta.27

* [Bugfix] Fixes an issue with viewing invoices and estimates with no project.
* [Bugfix] Fixes an issue with viewing tickets when you're running Pancake on PHP 5.2.

### v4.0.0-beta.26

* [Bugfix] Fixes an issue with editing invoices.
* [Bugfix] Fixes an issue with Pancake on PHP 5.2.

### v4.0.0-beta.25

* [New Feature] Plugins - New plugins module in place, hooks being developed through the app now
* [New Feature] Tickets - New Support ticket functionality released.
* [New Feature] Tickets - Attach files and view images in support tickets.
* [New Feature] Tickets - Assign default support personnel to a client.
* [New Feature] Tickets - Creating and replying to tickets in the client area.
* [New Feature] Tickets - You can set rates/charges for support level tickets on a per client basis.
* [New Feature] Tickets - Default rate for ticket priorities added.
* [New Feature] Tickets - Ability to assign ticket priority rates on a per user basis.
* [New Feature] Tickets - An invoice is created for tickets that have a priority associated with a rate which the client can immediately pay.
* [New Feature] Tickets - Easy to edit, descriptive emails to denote what is sent to the client.
* [New Feature] Tickets - Visual indication of tickets with invoices and their associated invoices paid status.
* [Improvement] You can now associate an invoice to a project.
* [Improvement] You can now add time entries (from tasks or milestones) to invoices, and they will be marked as billed automatically.
* [Improvement] You can now add expenses to invoices, and they will be marked as billed automatically.
* [Improvement] You can now add an arbitrary number of hours when importing time entries (before, you had to enter a start and end time).
* [Improvement] You can now see all invoices related to a project from the project page.
* [Improvement] You can now see which time entries and expenses are billed or not.
* [Improvement] You can now accept/reject estimates.
* [Improvement] When a client accepts an estimate or a proposal, the estimate is now converted to a project instead of to an invoice. Each line item is converted to a task, and each item's name, number of hours and rate are transferred over.
* [Improvement] When you are viewing estimates or invoices, you now have two shortcuts buttons to Send and Edit the invoice or estimate you're viewing.
* [Improvement] You can now view how many hours you've billed for in a project.
* [Bug] Fixed a bug with adding a time entry longer than 24 hours.
* [Bug] Fixed a bug with creating expenses from the project area.


### v4.0.0-beta.24

* [Feature] You can now import invoices, estimates, projects, clients, project tasks, time entries and users from any CSV export.
* [Improvement] Adds support for a default tax for invoices.
* [Improvement] Reverts to the old PDF font by default and adds a setting to turn on should you require special character support.
* [Improvement] Improved the update system's detection for whether you need to use FTP or not for updating.
* [Bug] Fixed several issues with the update system.
* [Bug] Fixed an issue with special characters in invoices.
* [Bug] Fixed an issue with Google Apps and Gmail accounts not working.


### v4.0.0-beta.23
* [Bug] Fixed an issue with "Marked as paid" not working for invoices.
* [Bug] Fixed an issue with "Add expenses Modal" from single project page.
* [Bug] Fixed an issue with "Is Viewable?" project setting not saving properly when unchecked.
* [Bug] Fixed an issue with errors when editing a time entry.
* [Bug] Fixed an issue with timers not working properly when being paused.


### v4.0.0-beta.22
* [Feature] User Permissions - You can now give General Users fine-grained permissions on a per-client basis.
* [Improvement] Better search results page for empty query string and no matching results.
* [Improvement] Changed the default font of PDFs to "DejaVu Sans". This does not affect the HTML view.
* [Bug] Fixed an issue with Expenses not properly saving category ID, causing JOIN queries to not retrieve expense entries.
* [Bug] Fixed an issue with Project Tasks be omitted from the dashboard if they do not have a due date.
* [Bug] Fixed an issue where Expenses were given a default quantity of zero, creating wrong totals on the dashboard.
* [Bug] Fixed an issue with the display of UTF-8 characters in PDFs.
* [Bug] Fixed an issue with double modal openings on a few pages.
* [Bug] Fixed several issues that prevented making a clean install of Pancake 4.
* [Bug] Fixed an issue with the Create Invoice page opening in a modal, causing layout problems. Create Invoice should always load on a new page.
* [Bug] Fixed an issue where pressing the stop timer when no timer is running creates a very wrong time entry in the DB.


### v4.0.0-beta.21
* [Bug] Fixed an issue with the branding in the footer displaying huge and to the right.
* [Bug] The navigation has been expanded to fit the screen (Fluid with the width) to remove the double line error. Any overflow does not get in the way now.
* [Bug] Fixed an issue with payment fee input going onto two lines. Added the close modal to the payment details modal.
* [Bug] Fixed the close modal on the new proposal modal. Now you can use the cross!
* [Bug] Fixed an issue with the "Undefined variable: logo" error message appearing when sending an invoice.
* [Bug] Removed modal popup for time entries per task and re-routed it to the time entries page.
* [Bug] Fixed layout on time entries page as it was displaying the company and pancake logos in the actual body of the page instead of the footer.
* [Improvement] Added filters for deleted entries in Expense -> categories and Expense -> suppliers.
* [Improvement] Added Parent Category option to Expense -> categories to clarify the distinction between child and parent categories.


### v4.0.0-beta.20
* [Improvement] Added Proper expense management, expenses are their own module now rather than a submodule.
* [Improvement] Added ability to manage Suppliers for expenses.
* [Improvement] Added ability to manage Categories for expenses.
* [Improvement] Stripe module now notes invoice number and name on card.
* [Improvement] Navigation has been improved slightly and should help prevent the silly line break on more views.
* [Improvement] Logo has been added to the footer on the left hand side.
* [Improvement] If you aren't working on any tasks, we display a message on the dashboard allowing you to create a new project (if you have permission).
* [Bug] Fixed an issue with the hover state of the navigation not expanding fully.
* [Bug] Fixed an issue with displaying text for phone number on sous -> invoices, when no number was assigned to the client.
* [Bug] Fixed styling issued on proposals -> send page.
* [Bug] Fixed an issue with Dashboard showing completed tasks in upcoming tasks.
* [Bug] Fixed an issue with Dashboard showing past tasks as upcoming tasks.
* [Bug] Fixed an issue with improper assignment of clients allowing users to see clients not assigned to them.
* [Bug] Fixed an issue with long polling making some hosts unhappy, changed length of get_unseen from 3 seconds to 10 seconds.




### v4.0.0-beta.19
* [Bug] Fixed an issue with Stripe only charging $10.



### v4.0.0-beta.18
* [Improvement] Comments now allow you to proof comments with a client to show image revisions in the discussion.
* [Improvement] Stripe module now compatible with V4 and utilizes Stripe.js to handle transactions.
* [Bug] Fixed an issue with private chats not saving correctly.
* [Bug] Fixed an issue with client comments not sending notifications.
* [Bug] Fixed an issue with client_id being manually set to 0 for project side comments.



### v4.0.0-beta.17
* [Improvement] Invoices now display client fields above other fields on mobile devices.
* [Improvement] Quicklinks/Filters now move to the top of a page on mobiles (rather than the bottom) to speed up actions.
* [Improvement] If only one user is using the system the dashboard no longer tries to tell you what your team is working on.
* [Bug]	Editing time entries from View Timesheet page now works again.
* [Bug]	Fixed issue with late static bindings in client_m allowing for pre PHP 5.3 compatibility.
* [Bug] Possible fix for the PHP 5.4 issues existing in the Pancake Pie model.




### v4.0.0-beta.16
* [Improvement] Back end invoice list now tell use the company name to inform you of who they are for rather than the client name.
* [Improvement] Back end estimates cleaned up to match the invoice style.
* [Improvement] Cleaned out a lot of junk image files hanging around since version 3. Now we have a smaller theme file!
* [Improvement] On a project, clicking the client company links you to the client page.
* [Improvement] Taking advantage of Compass/SASS sprites. Now included throughout the system.
* [Improvement] Invoices now take into account any payments made and will show the total still unpaid as well as payments made to date.
* [Improvement] logo helper function now can accept an array of settings when building logo image.
* [Improvement] You can now edit tasks quicker via the dropdown menu on the overview of all projects.
* [Improvement] More improvements to time tracking area and time management.
* [Bug] Fixed an issue with email's not parsing logo file.
* [Bug] Fixed an issue with report page header not displaying proper language variable.
* [Bug] Fixes a small issue on the estimate/invoice creation page.
* [Bug] Fixes a small issue with the import/export button in the nav bar not linking to the right settings page.
* [Bug] Fixes an issue with permissions when running two or more Pancake installations in the same domain.


### v4.0.0-beta.15
* [Improvement] Invoices have received a new update. Information is presented much clearer, deprecated the stamps.
* [Improvement] Dashboard statistics have been moved to the sidebar to allow more room for the Sous system and optimize mobile experience.
* [Improvement] View Timesheet button links to full page of time spent on task rather than a modal.
* [Improvement] Quick add hours form is present at the top to add hours easily.
* [Improvement] Adding hours to timesheet now allows for a starting time to be defined.
* [Improvement] Deprecated add hours button as timesheet page has been greatly improved and included enhanced hour adding capabilities
* [Improvement] Milestones have been updated into the overall task lists, tasks are now easier to group and understand!
* [Improvement] API: Added standard keys of 'status' and 'message' to every response
* [Improvement] API: Added endpoint /api/1/invoices/estimate to get estimates
* [Improvement] API: Added endpoint /api/1/invoices/unsent to get unsent invoices
* [Improvement] API: Added */edit endpoint to support docs. */update is now deprecated
* [Improvement] API: Added "title" parameter for /api/1/clients/new and /api/1/clients/edit
* [Improvement] API: Added "group_name" parameter for /api/1/users/new
* [Improvement] API: Added validation support for /api/1/users/edit
* [Improvement] API: New user creation returns errors (such as duplicate username)
* [Improvement] API: Standardized responses for "new" endpoints to return "id" (such as api/1/projects/new).
* [Improvement] API: Endpoints /api/1/projects/tasks/new and /api/1/projects/tasks/new now accept the following params: 'notes', 'is_viewable', 'projected_hours', 'project_id', 'status_id', 'assigned_user_id', 'milestone_id', 'parent_id'
* [Improvement] API: Unified data formatting for GET requests (such as in /api/1/users and /api/1/users/show)
* [Bug] Fixed reusable items not adding description
* [Bug] Fixed milestone color picker and added color to milestone view
* [Bug] Fixed an issue where you could not delete a project.
* [Bug] API: Endpoint /api/1/projects/tasks/delete didn't return a 400 error response if no "id" was provided
* [Bug] API: Deleting a user now deletes correlating meta data
* [Bug] API: Endpoint /api/1/invoices/overdue no longer gets unpaid
* [Bug] API: Invoice endpoints no longer return estimates, only actual invoices.
* [Bug] API: Some "show" endpoints, like /api/1/invoices/show, didn't return a 404 if it does not exist
* [Bug] API: Fixed bugs where X-API-KEY was being passed into queries in POST methods
* [Bug] API: Multiple other fixes for projects, tasks, users, clients and invoices to stabilize the entire API.
* [Bug] Date picker now works on payment details form.
* [Bug] Fixed an issue with user assignments and projects.



### v4.0.0-beta.14
* [Bug] Fixed an issue with Client access area not showing projects and resulting in sql errors.



### v4.0.0-beta.13
* [Bug] Fixed an issue with invoice assignments stepping in when a client is viewing an invoice link without being logged in.
* [Bug] Fixed issue with multiple files not being attached to invoices.
* [Bug] Fixed report pie chart inclusion issue.



### v4.0.0-beta.12
* [Improvement] Allowing Version 4 to be self installable rather than an upgrade.
* [Improvement]	Using proper color for header.
* [Improvement] Inserted a default reminder email for reminders.


### v4.0.0-beta.11
* [Improvement] Massive implementation of user based assignments and view. General users are now only able to see items assigned to them rather than all projects. Happy compartmentalization everyone!!
* [Improvement] Proposal company name no longer includes hyphen allowing for nameless companies.
* [Improvement] Improved Proposal CSS and appearance.
* [Improvement] Proposal company name no longer includes hyphen, improvement to CSS
* [Improvement] Pancake has been updated with some new styles and dashboard colours have been tweaked. Removal of the wood (less skeuomorphism).
* [Bug] Fixed missing closing tags on reports page.
* [Improvement] Added Reminders to invoices allowing bulk reminder emails to be sent based on reminder message choice.
* [Improvement]	Ability to create infinite reminder emails templates to use as reminders.
* [Improvement] Reminders automagically select the template to use based off of the days rule making it easier to bulk remind clients.


### v4.0.0-beta.10
* [Improvement] Project dial now only displays when you have set projected hours for a project.
* [Improvement] Switched titles on individual project pages and milestone pages. It's now clearer what project you are on.
* [Improvement] Pancake Mobile icon is now included and makes Pancake look pretty even on your home screen!
* [Improvement] Client information have received some improvements to make it look better on small mobile displays.
* [Improvement] Projects now flow better and fill up the mobile space more efficiently.
* [Improvement] Invoices are now aligned properly on mobiles.
* [Improvement] Dashboard has had some improvements to the representation of Statistics and Sous items on mobiles.
* [Improvement] Dashboard now has a quick link to add a client.
* [Bug] Added missing container to the Milestones page.
* [Bug] Added missing icons to sidebar buttons throughout.

### v4.0.0-beta.9
* [Improvement] Styled reusable invoices page to match Pancake v4 UI.
* [Improvement] Added quick link to create a proposal in the All Proposals page sidebar.
* [Improvement] Add reusable invoices now pops up in a modal and is styled appropriate to v4.
* [Improvement] Add proposal form is now in a proper modal and is styled appropriate to v4.
* [Improvement] Added hover states for the icons in the sidebar buttons.
* [Improvement] When there is no client name the company name is displayed on invoices and proposals.
* [Bug] Fixed alignment of Invoice details on generated PDFs.
* [Bug] Total projects displays "0" when there are no projects rather than displaying nothing at all.
* [Bug] Fixed title of delete proposal page.

### v4.0.0-beta.8
* [Improvement] Improvement of custom task statuses and how to style them. You now only need a color no pixel ratios.
* [Bug] Fix to settings page and tabs not showing.
* [Bug]	Fixed an issue with 5.3 only syntax, corrected to make it 5.2 compatible, resolving 500 errors on projects and invoices
* [Bug] Fix incorrect client link page on dashboard
* [Bug] Fixed overdue date issue using diff() with PHP 5.2

### v4.0.0-beta.7
* [Improvement] Manage Timers only shows when there are more than 1 projects. If there are none we don't need the option there.
* [Improvement] Invoice payment details modal has been improved visually.
* [Improvement] Timer counter stands out more in navigation to let users know how many timers are running.
* [Bug] Fixed issue with phone icon appearing even when no mobile/phone was assigned to a client.
* [Bug] Fixed issue with brackets being shown even when there was no company assigned to a client.
* [Bug] Fixed issue with reports headers being white and not visible.
* [Bug] Fixed issue with cron job/recurring settings being hidden when creating/editing a report.
* [Bug] Fixed issue with not being able to login when pressing enter on the login page rather than the button.
* [Bug] Fixed issue with the project dial for hours not displaying the percentage inside the dial.
* [Bug] Fixed issue with timesheet icons not being visible.
* [Bug] Fixed issue with payments in the nav bar settings not linking to correct tab.
* [Bug] Fixed issue with code appearing in notes area of front end invoice.
* [Bug] Fixed issue with detailed invoice table columns being broken.
* [Bug] Fixed issue with images being sent as empty data during upgrade process resulting in images being removed or being written as 0 bytes.
* [Bug] Fixed issue with PDF on frontend overflowing after new column was added.

### v4.0.0-beta.6
* [Improvement] Cleaner chat system.
* [Improvement] Fixed issue with no styling on the milestone page.
* [Improvement] Invoice view button links to admin side invoice, View PDF is now in gears dropdown.
* [Bug] Fixed issue with logos in both front end and back end.
* [Bug] Fixed issues with payment plan on edit/create invoice.
* [Bug] Fixed issue with gateway module resulting in colon on some pages and error on settings page.
* [Bug] Fixed issue with the getTimestamp() method not existing in the DateTime, since PHP 5.2, class until 5.3
* [Bug] Several PHP 5.4 compatibility fixes and improvements.

### v4.0.0-beta.5
* [Improvement] Added logout link to header navigation under user icon.
* [Bug] Fixed issue with ajax not being fired for project create from projects page.
* [Bug] Fixed issue with custom backend CSS not being output in template.
* [Bug] Fixed issue with settings tabs not styling correctly on viewports less than 768px.
* [Bug] Fixed issue with footer being at the bottom of main not page.
* [Bug] Fixed PHP 5.4 Issues
* [Bug] Fixed issue with saving settings

### v4.0.0-beta.4
* [Improvement] Adds project status chart with color representation of how on budget the project is.
* [Improvement] Increased font size of login
* [Bug] Stops pagination being partially hidden in Firefox.
* [Bug] Fixes an issue with creating estimates in proposals.
* [Bug] Fixed Pagination issue on projects
* [Bug]	Fixed issue with invoice list item layouts
* [Bug]	Fixed issue with sub tasks
* [improvement] Added chat for users
* [improvement] Search support improved
* [Bug] Fixed issue with Dashboard items not displaying correctly
* [Bug] Fixed issue with active timers in header navigation
* [Bug]	Improved notification items

### v4.0.0-beta.3

* [Improvement] Adds support for searching invoices, clients, projects, proposals and estimates.
* [Improvement] All sidebar buttons have icons now.
* [Improvement] Adds a WYSIWYG editor to the "notes" in estimates and invoices.
* [Bug] Fixes issue with the missing WYSIWYG editor in proposals.
* [Bug] Fixes several issues with the search system.

### v4.0.0-beta.2

* [Bug] Fixes an issue with the navigation bar's timers.
* [Bug] Fixes an issue with icons showing text and not indenting it.
* [Improvement] SASS system now uses global values for colors, borders, etc. Making it easier to restyle the colours.
* [Improvement] Updated Icons - now we included more in various forms.
* [Improvement] Mobile versions are looking a bit neater.

### v4.0.0-beta.1

* Initial launch of Pancake 4 Beta.

### v3.6.10

* [Bug] Fixed an issue with the generation of PDFs.

### v3.6.9

* [Bug] Fixed an issue with sending the admin a copy of "new comment" emails sent to clients when the "BCC" setting is checked.
* [Bug] Fixed an issue where commenting on an item that was not marked as viewable would result in email still being sent to client with body of comment.
* [Bug] Fixed an issue with browser caching of PDF files.
* [Bug] Fixed an issue that could cause 500 Errors while running Pancake in PHP 5.2.

### v3.6.8

* [Bug] Fixed an issue that prevented Pancake to load correctly in some server configurations.
* [Bug] Fixed an issue with the settings page.

### v3.6.7

* [Bug] Fixed another issue with creating project tasks, in addition to the one in 3.6.6.

### v3.6.6

* [Bug] Fixed an issue with creating tasks.

### v3.6.5

* [Bug] Fixed several issues with the display of reports.
* [Bug] Fixed an issue with Google Checkout.
* [Bug] Fixed an issue with the display of available payment methods.
* [Bug] Fixed an issue with creating paid invoices from the API.
* [Bug] Fixed the "Remember Me" option when logging in.

### v3.6.4

* [Improvement] You can now set whether a proposal is viewable in the client area or not.
* [Bug] Fixed an issue that caused visits from your browser to be marked as client visits if you were not logged in.
* [Bug] Fixed an issue that caused 406 Errors when manually marking invoices as paid, in some server configurations.
* [Bug] Fixed an issue with email validation when creating a client.
* [Bug] Fixed an issue with manually adding full payments to invoices instead of marking the invoices as paid.
* [Bug] Fixed an issue with the email subject of proposal emails.
* [Bug] Fixed an issue with Google Checkout and Stripe in PHP 5.2.

### v3.6.3

* [Improvement] You can now use any of the email variables in the email subject.
* [Improvement] You can now disable autosave for proposals in Settings.
* [Bug] Resolved an issue with saving proposals.
* [Bug] Resolved an issue with manually adding payments to invoices.
* [Bug] Resolved an issue with attaching PDFs to invoice emails.

### v3.6.2

This release resolves a few issues with both PayPal Payments Pro and Stripe that affected a small number of people. If you're still having problems after you update, please email us at support@pancakeapp.com.

* [Bug] Resolved several issues with both PayPal Payments Pro and Stripe.
* [Bug] Resolved an issue with the display of logos in PDFs.
* [Bug] Resolved an issue with the display of invoices in the "latest activity" area.

### v3.6.1

* [Improvement] You can now create custom theme folders with only the files that you want to customise; Pancake will load files that are not in your theme from the original Pancake theme.

### v3.6.0

* [Improvement] Time entry notes are now added to invoice line items automatically when you generate an invoice from a project.
* [Improvement] When adding time entries to tasks, tasks are now divided into complete and incomplete to make it easier for users to select tasks.
* [Improvement] Pancake can now import 8 additional types of exports.
* [Improvement] Unsent invoices no longer show up as "Overdue".
* [Improvement] You can now change the list of allowed file upload types.
* [Improvement] Pancake now formats the invoice total appropriately in emails (eg. 1500.368 becomes 1,500.37).
* [Improvement] Pancake will now alert you if there's any problem saving your proposals to make sure you don't ever lose any information.
* [Improvement] You now set default due dates for invoices.
* [Improvement] You can now upload Word files, PowerPoint files, Excel files and CSVs as invoice files or as attachments in the client area.
* [Improvement] Added several new currencies to be used as your default currency.
* [Improvement] Improved Pancake's structure to make custom theme development easier.
* [Bug] Fixed an issue that caused the "view entries" button to stop working in some cases.
* [Bug] Fixed an issue with sending multipart emails that affected some email servers.
* [Bug] Fixed a problem sending emails to multiple addresses at the same time.
* [Bug] Fixed a problem saving the "Enable PDF Attachments" setting.
* [Bug] Fixed an issue changing from "SMTP (SSL/TLS)" when selecting an email server.
* [Bug] Fixed an issue with the subjects of payment notification emails.
* [Bug] Fixed an issue setting recurrence settings as "every 6 months" or "every 2 years".
* [Bug] Fixed an issue that caused tasks set not to show in client area to be shown once the task was marked as complete.
* [Bug] Fixed an issue that caused unpaid invoices to show in the "Paid Invoices" report, and paid invoices to show in the "Unpaid Invoices" report.
* [Bug] Fixed an issue that prevented Pancake from editing time entries if you didn't have URL rewriting enabled.
* [Bug] Fixed an issue that caused some browsers to throw a warning when using HTTPS.
* [Bug] Fixed an issue that caused users to be set as "Inactive" when changing their details.
* [Bug] Fixed an issue with PayPal Notifications.
* [Bug] Fixed an issue that could cause payments to be added to invoices incorrectly.

### v3.5.9

* [Bug] Fixed an issue that caused users to incorrectly see warnings about having modified files manually.

### v3.5.8

* [Improvement] Setting for choosing whether or not to attach a PDF with an email.
* [Bug] Resolved several issues with PDFs.
* [Bug] Resolved an issue with accessing Pancake via HTTPS.

### v3.5.7

* [Improvement] You can now create invoices that recur every 6 months or every 2 years.
* [Improvement] Added "uncollected tax" and "total tax" to the Pancake reports.
* [Bug] Fixed an issue that caused BCC'd email sender to be set incorrectly.

### v3.5.6

* [Feature] You can now import from Project Bubble!
* [Improvement] A PDF of your invoice/proposal/estimate is now attached when you're emailing them to your client.
* [Improvement] You can now choose between Letter or A4 for the size of your PDFs.
* [Bug] Resolved an issue with the cron job.
* [Bug] Resolved an issue with storing data in certain server configurations.
* [Bug] Resolved an issue that caused a discrepancy in project totals.
* [Bug] Resolved an issue with the "Cancel Payment" page in PayPal.

### v3.5.5

* [Improvement] Pancake is now much, much faster if you have hundreds (or even thousands) of invoices.
* [Improvement] You can now set the default title for invoices (eg. change Invoice to Tax Invoice, which is necessary in some countries).
* [Improvement] You can now set the default notes for invoices.
* [Improvement] Added an extra measure to prevent Pancake pages being indexed.
* [Improvement] You (and your clients) can now edit or delete comments. Clients can only edit or delete their own comments.
* [Bug] Fixed a few issues with paying via PayPal Payments Pro.
* [Bug] Fixed several issues related to partial payments in "simple" invoices.
* [Bug] Fixed an issue that prevented the creation of milestones.
* [Bug] Fixed an issue with custom tables in proposals that prevented the generation of proposal PDFs.
* [Bug] Fixed an issue with saving the "viewable in client area" setting in tasks.
* [Bug] Fixed an issue with viewing time entries in certain browsers.
* [Bug] Fixed an issue creating proposals in certain server configurations.
* [Bug] Fixed an issue that caused an error with the update system in certain server configurations.
* [Bug] Fixed an issue with Pancake in Apache servers installed with WebServerX Kit.
* [Bug] Fixed several issues with PayPal payment notifications.

### v3.5.4

* [Bug] Fixed a problem that prevented some users from seeing what's changed in an upgrade.

### v3.5.3

* [Improvement] Reports have been restructured to give you much more information to help you with your tax returns.
* [Improvement] Timesheet entries are now sorted by date.
* [Improvement] Edit milestones.
* [Improvement] Edit time entry notes.
* [Improvement] Store multiple email addresses per client (simply separate them with a comma).
* [Improvement] Recurring invoices no longer use an extra 3 digits to distinguish between recurrences (i.e. -001, -002, -003).
* [Improvement] Pancake now works on IIS servers where MySQL is using Strict Mode.
* [Bug] Fixed an issue that caused some Pancake installations to see (0) as the latest version.
* [Bug] Fixed an issue that caused Pancake to slow down if it could not fetch update details.
* [Bug] Fixed an issue that caused some Pancake installations to have problems marking invoices as paid.
* [Bug] Fixed an issue that caused some Pancake installations to have problems with displaying update notifications.
* [Bug] Fixed an issue with URL Rewriting on some server configurations.
* [Bug] Fixed an issue that caused time entries not assigned to any task to not be displayed.
* [Bug] Fixed an issue with charging taxes in PayPal.

### v3.5.2

* [Bug] Resolved all issues related to downloading updates.
* [Bug] Resolved an issue importing invoices from Bamboo Invoices.
* [Bug] Fixed a problem creating invoices.
* [Bug] Fixed a problem that caused an incorrect display of project totals.

### v3.5.1

* [Bug] Fixed a problem with sending emails.

### v3.5.0

The new Pancake brings out a number of heavily requested improvements, such as the ability to add an arbitrary number of hours worked to any task, the ability to add arbitrary payments to invoices, and some really great improvements to creating/editing payment plans.

NOTE: If the numbers you see in invoices change, don't worry. It is because all totals now include tax. If you do not use taxes on your invoices, your invoices will remain unaltered.

* [Improvement] Add an arbitrary number of hours to any task with automatic date calculations, drastically improving time entry speeds.
* [Improvement] Add an arbitrary payment to any invoice that automatically adjusts payment plans accordingly from the gear icon.
* [Improvement] See how much money you need to charge in your payment plans, and edit them much more easily.
* [Improvement] Automatic tallying of invoice total during invoice creation.
* [Improvement] Set default email subjects.
* [Improvement] Add extra recipients to emails being sent to clients by separating them with commas.
* [Improvement] Default email template for estimates.
* [Improvement] You can now export invoices in Pancake. Pancake uses this to backup your data automatically when necessary.
* [Improvement] Invoice creation date is now displayed in invoices.
* [Bug] Fixed several issues with reports.
* [Bug] Fixed an issue with generating invoices from projects.
* [Bug] Fixed an issue that caused the total time in the Projects page to be displayed differently from the total time in the Timesheet.
* [Bug] Fixed an issue with pagination in the recurring invoices page.
* [Bug] Fixed an issue with the update system that caused it to stall in some cases.

### v3.4.1

* [Improvement] Added a setting to specify the number of items (invoices/estimates/proposals/projects/tasks) to show per page.
* [Bug] Fixed several problems updating Pancake.
* [Bug] Fixed a problem with client privacy in proposals.

### v3.4.0

Pancake 3.4.0 introduces the ability to import data from other services, as well as the ability to use PayPal Payments Pro to accept payments from your clients.
If you have any problems with either of these features, please contact support@pancakeapp.com and we'll help you immediately.

* [Feature] You can now import data from other services into Pancake! (BETA)
* [Feature] PayPal Payments Pro (BETA)
* [Bug] Fixed several issues with the display of projects with 10 logged hours.
* [Bug] Fixed a bug with upgrading old versions of Pancake to the latest version.
* [Bug] Fixed a bug with the amount paid not showing up in client emails in some cases.
* [Bug] Fixed an issue with the default "send days before" setting.
* [Bug] Fixed an issue with timezones in Pancake.

### v3.3.2

* [Improvement] Timesheets are now displayed in HTML by default, instead of PDF.
* [Improvement] Added the ability to access project and/or task comments directly from the admin panel.
* [Improvement] Comments in the kitchen now display the user's full name instead of 'admin'.
* [Bug] Fixed a problem with user permissions in the dashboard.
* [Bug] Fixed a problem that prevented Pancake from downloading updates on some server configurations.
* [Bug] Fixed a problem with extracting Pancake updates on some server configurations.
* [Bug] Fixed a problem that caused premade proposal sections to cut off after 400 characters.
* [Bug] Fixed a problem with changing email server settings.
* [Bug] Fixed a problem that caused some PayPal payments to not be processed correctly.
* [Bug] Fixed a problem that could cause errors loading Pancake on some server configurations.

### v3.3.1

* [Bug] Fixed lack of settings save button on settings page.
* [Bug] Fixed an issue where custom currencies could cause an error.

### v3.3.0

* [Feature] Added Group Management. Make groups and assign users to them.
* [Feature] Added Permissions. Roles can be assigned to various groups to specify what a user can do.
* [Feature] Added optional PayPal Gateway Surcharge.
* [Feature] Allow invoices & proposals to be sent to multiple email addresses.
* [Feature] Added Hours and Cost totals to Project View.
* [Bug] Fixed adding item invoices via the API.

### v3.2.9

* [Improvement] You can now set SMTP over SSL/TLS without any special configuration.
* [Improvement] You can now manually mark an invoice as sent to the client.
* [Improvement] The dashboard now only shows unpaid amounts of invoices that you've sent to the client but that are still unpaid.
* [Improvement] Added some help information to Reusable Invoice Items and Estimates in Proposals.
* [Improvement] Improved the way base URL detection is handled in Pancake.
* [Improvement] You can now see which estimates are attached to a proposal and which aren't.
* [Bug] Fixed an issue that caused Pancake to stop working if it failed to load a non-default theme.
* [Bug] Fixed an issue with selecting estimates in proposals.
* [Bug] Fixed an issue that prevented the generation of invoice PDFs when there is no Internet access.
* [Bug] Fixed an issue with removing deadlines from partial payments.
* [Bug] Fixed an issue with rounding in partial payments.
* [Bug] Fixed an issue with duplicating estimates.
* [Bug] Fixed several bugs with the update system.
* [Bug] Fixed an issue that caused the date format not to be taken into account in the client access area.
* [Bug] Fixed an issue that caused long notes to overlap client details, when viewing a client's details.
* [Bug] Fixed an issue that caused Pancake to hang when there were no estimates or invoices.
* [Bug] Fixed support for GIF uploads.
* [Bug] Fixed an issue with the representation of invoice totals in PDFs.
* [Bug] Fixed an issue with storing partial payments.
* [Bug] Fixed issue with getting the passphrase and the client access URL in the API.
* [Bug] Fixed payment process for PayPal e-Check Payments.

### v3.2.8

* [Bug] Fixed a problem with uploaded logo URLs.
* [Bug] Fixed an issue with setting passphrases for clients through the API.
* [Bug] Fixed an issue that allowed people to download files without paying for the invoice to which they belong.

### v3.2.7

* [Bug] Fixed an issue with the layout of PDF invoices.
* [Bug] Fixed several issues in strict MySQL servers.
* [Bug] Fixed an issue with creating Pancake API keys.

### v3.2.6

* [Improvement] Pancake Gateways can now ask clients for extra payment information before continuing with the payment.
* [Improvement] After deleting an invoice, you are now sent back to the page where you were instead of the dashboard.
* [Improvement] Invoices, Estimates and Proposals now have a link back to the client area.
* [Improvement] When getting clients via the API, the API returns their access URL and their passphrase too.
* [Bug] Fixed an issue with storing the date of creation of a client.
* [Bug] Fixed an issue with report overviews when there was no data to display.
* [Bug] Fixed an issue that caused logo uploads to fail in some very rare cases.
* [Bug] Fixed an issue with deleting recurring invoices.
* [Bug] Fixed several issues with proposal section templates.
* [Bug] Fixed an issue with checking for modified files when making an upgrade for more than one version (eg. from 3.2.2 to 3.2.5).
* [Bug] Proposal PDFs now open in a new tab by default.
* [Bug] Fixed an API issue related to projects.
* [Bug] Fixed an API issue with viewing invoices.
* [Bug] Fixed an issue with viewing paid invoice reports.
* [Bug] Fixed an update issue in Pancake, on IIS servers.
* [Bug] Fixed an issue with storing Gmail account information.

### v3.2.5

* [Bug] Fixed an update issue in Pancake.

### v3.2.4

This release fixes a security issue in Pancake and updates the core to allow for feature additions in future versions of Pancake.
All features and improvements have been pushed back to a future version of Pancake. We apologize for the inconvenience.

* [Security] Fixed a security issue in Pancake that allowed untrusted clients to perform unauthorized actions.
* [Bug] Fixed all remaining issues with loopback connections.
* [Bug] Fixed an issue with the installer.
* [Bug] Fixed an API issue with creating clients.
* [Bug] Fixed an issue that caused estimate numbers not to show in some cases.
* [Bug] Fixed an issue that caused General Users to be unable to execute several actions in Pancake, including marking invoices as paid.

### v3.2.3

If you see slashes being added without explanation to your emails (particularly in the Settings page), we've fixed this issue, but you will have to remove the slashes manually after upgrading.

* [Improvement] You can now specify the prefix of the URL for all your clients' access areas. The default is "clients", and you can change it in the Settings page.
* [Improvement] If you select "Remember Me", Pancake will now keep you logged in until you manually log out (previously, it'd only remember you for 24 hours).
* [Improvement] Pancake does not require your firewall to allow loopback connections anymore.
* [Bug] Fixed several issues with the cron.
* [Bug] Fixed an issue with the task timer that occurred in some browsers with a few timezones.
* [Bug] Fixed an issue with viewing whether a project was completed or not, in the client access area.
* [Bug] Fixed several issues with installing Pancake on Windows-based servers.
* [Bug] Fixed an issue that caused invoices that are a recurrence of another invoice to stop working properly.
* [Bug] Fixed an issue that sometimes caused Pancake to stop loading completely.
* [Bug] Fixed an issue with the "Forgot password" page.
* [Bug] Fixed an issue with automatic invoice number incrementation.
* [Bug] Fixed an issue that caused 'localhost' to show up in emails sent from the cron.
* [Bug] Fixed an issue that sometimes caused the settings page to take a long time to load.
* [Bug] Fixed an issue with viewing a specific client's report.
* [Bug] Fixed an issue that stopped Pancake from installing in certain servers.
* [Bug] Fixed an issue that caused slashes to appear unexpectedly in some edge cases.
* [Bug] Fixed an issue that caused the settings page to disappear in some edge cases.
* [Bug] Fixed an issue with automatic invoice numbering in some edge cases.
* [Bug] Fixed an issue with marking invoices as paid in some edge cases.
* [Bug] Fixed an issue with viewing overdue invoices in some edge cases.

### v3.2.2

* [Improvement] The default invoice type is now "detailed", not "simple".
* [Improvement] Added an extra failsafe mechanism for downloading updates.
* [Improvement] Pancake no longer shows "upcoming tasks" on the dashboard if you have none.
* [Improvement] In the client access area, invoices and estimates are now ordered by due date.
* [Bug] Fixed an issue that in certain cases stopped you from removing payment parts.
* [Bug] Fixed an issue with calculating the number of overdue invoices.
* [Bug] Fixed an issue that in certain cases would cause an empty modal box to show up in Pancake.
* [Bug] Fixed an issue with marking invoices as paid when viewing clients' details.
* [Bug] Fixed an issue with displaying estimates in the Kitchen.
* [Bug] Fixed an issue with editing task due dates.
* [Bug] Fixed an issue with updating when some files were modified manually.
* [Bug] Fixed an issue involving special characters.
* [Bug] Fixed a few permissions issues with "General Users".
* [Bug] Fixed an issue with the "send days before" setting.
* [Bug] Fixed an issue with setting the date of creation of invoices.

### v3.2.1

* [Improvement] The action menu for invoices/estimates/proposals now pops up above the gear icon when necessary so you won't ever have to scroll.
* [Improvement] You can now disable remittance slips in invoice PDFs.
* [Improvement] You can now see the total number of invoices you've got in the "Invoices" menu, as well as in the client filters.
* [Improvement] Unsent invoices and estimates are now marked with a grey status dot.
* [Improvement] You can now alter the default number of days before an invoice is due to send a recurring invoice to a client.
* [Improvement] You can now view a list of all invoices that were sent to the client but are still unpaid.
* [Improvement] You can now make invoices recur quarterly.
* [Improvement] You can now set the date of creation of your invoices (and back date invoices).
* [Bug] Fixed several issues installing Pancake.
* [Bug] Fixed an issue with marking invoices as paid in certain server configurations.
* [Bug] Fixed an issue with viewing overdue invoices that occurs in certain server configurations.
* [Bug] Fixed an issue with .htaccess files that caused a few people to get a "No input file specified" error.
* [Bug] Fixed an issue with creating predefined invoice line items.
* [Bug] Fixed an issue that caused recurring invoices to be auto-sent every time.
* [Bug] Fixed an update error that occurs in certain server configurations.

### v3.2.0

In certain server configurations, you might see an error while trying to upgrade to 3.2.0. If you do, ignore it. It doesn't affect you at all. This has been fixed in 3.2.0.

* [Feature] Task Milestones
* [Feature] Proposal Section Templates
* [Feature] Convert estimates to invoices with a single click.
* [Feature] View PDFs of detailed invoices, estimates and proposals with a single click.
* [Feature] Duplicate invoices, estimates and proposals with a single click.
* [Feature] Ability to mark invoices as paid when viewing them in a list. At the moment, this is only available for invoices with one payment part.
* [Feature] Added "Client Access Area" (Kitchen) which allows you to communicate and share files with your clients, make projects and tasks viewable, list all invoices & proposals as well as allowing clients to comment on all items.
* [Improvement] Added a number of payment methods, to help you when manually marking invoices as paid.
* [Improvement] Pancake now emails you when something goes wrong when processing a payment notification from a gateway.
* [Improvement] View invoices by "Recurring" and "Unsent". We've also improved the way invoice statuses are displayed.
* [Improvement] You can now create projects from a client's page.
* [Improvement] When viewing a client's page, invoices are now displayed using the new table layout to display more information.
* [Bug] Fixed an issue with sorting invoice line items.
* [Bug] Fixed an issue with taxes in predefined invoice line items.
* [Bug] Fixed several issues with timers.
* [Bug] Fixed a vulnerability in proposals.
* [Bug] When generating an invoice from a project, the client is pre-selected automatically.
* [Bug] Fixed an issue with creating API keys.
* [Bug] Fixed problem deleting projects and accessing projects that don't exist.
* [Bug] When editing time entries, if you close the box, the changes are saved automatically.
* [Bug] Fixed issue with autoincrementing invoice numbers when invoices have prefixes.
* [Bug] Fixed a number of bugs with task timers and projects.
* [Bug] Fixed a number of problems with installing in different server configurations.
* [Bug] Fixed a vast number of outstanding bugs.

### v3.1.13

* [Bug] Fixed several issues with different server configurations.

### v3.1.12

* [Feature] You can now edit the subject line of emails being sent out to clients.
* [Feature] You can now see when a client last viewed an invoice or an estimate.
* [Improvement] You can now see when your clients will be notified by email of recurring invoices.
* [Improvement] Pancake now loads and runs a lot faster.
* [Improvement] Your logo now shows in reports and timesheets.
* [Improvement] You can now remove payment parts even when creating invoices.
* [Bug] Fixed a problem with installing Pancake in certain server configurations.
* [Bug] Fixed a problem with updating in certain server configurations.
* [Bug] Fixed a problem with marking invoices as paid in certain server configurations.
* [Bug] Clicking your logo in the admin panel now takes you back to the Dashboard.
* [Bug] Fixed a problem with generating PDFs in certain server configurations.
* [Bug] Fixed a problem with the "Show Reports" button.
* [Bug] Fixed a problem with marking invoices as paid on Firefox.
* [Bug] Fixed a problem with removing invoice line items.
* [Bug] Fixed a problem with the display of different currency symbols.
* [Bug] Fixed a bug with the display of time spent on a task.
* [Bug] The "Paid On" date of an invoice is now the date of the last payment made in an invoice.
* [Bug] Fixed problem editing payment details of payment parts that didn't exist.
* [Bug] Fixed problem with pagination in project tasks.
* [Bug] Fixed various problems with tasks and time entries.

### v3.1.11

* [Bug] Fixed a bug with upgrading in certain server configurations.
* [Bug] Fixed a problem with the logo getting removed unintentionally.
* [Bug] Fixed a problem with line items in estimates.

### v3.1.10

This is a critical update. If you are on 3.1.8 or older, you will have to click "Update Now" twice. The first time will not appear to change anything, but the second time will run the update properly and fix everything.

* [Improvement] Added a safety check to make sure updates are downloaded correctly.
* [Bug] Fixed a problem with upgrading when there's more than two versions between the current version and the latest version.
* [Improvement] Better hover styles for table rows.

### v3.1.9

* [Bug] Fixed a bug with presaved invoice line items.

### v3.1.8

* [Improvement] Removed duplicated company name in detailed invoices.
* [Bug] Alert box on Projects page is now removed.
* [Bug] Fixed an issue with the update system that prevented 3.1.7 from updating properly.

### v3.1.7

* [Feature] Invoice items now have a Name as well as a Description.
* [Feature] Items can now be predefined and values will be added to an invoice item via an autocomplete.
* [Improvement] Invoices now display whether they're paid or not more clearly.
* [Improvement] Invoice payment dates are now displayed when viewing lists of your invoices.
* [Improvement] Added logo to almost all client-facing pages, including invoices.
* [Bug] Fixed a bug with some email variables.
* [Bug] Fixed a bug with the tax registration numbers.
* [Bug] Fixed a bug with creating projects from the client's page.
* [Bug] Fixed several minor bugs.

### v3.1.6

NOTE: If you modified system/pancake/config/email.php, 3.1.6 will warn you that it will overwrite it. To prepare for this, we have already transferred the details in your email config file to your database in Pancake 3.1.5, and you will not lose any information.

* [Feature] Added Tax References / Codes so you can track things like VAT Registration numbers in the UK, or any local tax.
* [Feature] You can now set your email server settings from Pancake (use Google Apps, Gmail, SMTP, sendmail or PHP mail).
* [Improvement] If you're logged into the admin panel, Pancake will now redirect you to the admin panel whenever you access the main index (not /admin).
* [Improvement] When accepting a proposal, estimates attached to it are automatically converted to invoices. If, after a proposal has been accepted, you mark it as rejected or unanswered, the invoices will go back to being just estimates.
* [Improvement] Added links to Projects in the Upcoming Tasks box.
* [Improvement] Pancake will now notify you when it cannot access the Internet, and it won't stop you from accessing it.
* [Bug] Fixed a problem with displaying long timezone names when selecting a timezone.
* [Bug] Fixed issue with marking payments as paid manually and setting payment dates.
* [Bug] Fixed a problem with marking invoices as paid, when they're paid via a gateway.
* [Bug] Fixed a problem with invoice URLs in "Payment Received" emails.
* [Bug] Fixed a problem with the "Payment Details" button being cut off on Windows-based browsers.
* [Bug] Fixed a problem with manually upgrading from 3.0.x to 3.1.x.
* [Bug] Fixed misleading label when creating a new proposal.
* [Bug] Fixed bug with auto-incrementing proposal numbers.
* [Bug] Fixed a problem with negative numbers in invoice line items.
* [Bug] Fixed a bug with the datepicker when there's more than one partial payment.
* [Bug] Fixed a bug with setting due dates in partial payments.
* [Bug] Fixed a bug with viewing simple invoices with multiple partial payments.
* [Bug] Fixed a bug with sorting page sections in proposals.

### v3.1.5

* [Bug] Fixed an issue with Pancake in FastCGI.
* [Bug] Fixed a minor issue with the update system.
* [Bug] Fixed an issue with sending emails.
* [Bug] Fixed an issue with the BCC setting.

### v3.1.4

* [Bug] Fixed bug with completing the update process in auto updates.
* [Improvement] Changed the way BCC emails are sent, in order to make it easier to distinguish them from regular emails.

### v3.1.31

* [Bug] Fixed an issue with automatically incrementing invoice numbers.
* [Feature] Added a setting for Pancake to BCC the notify_email whenever an email is sent to a client.

### v3.1.3

* [Bug] Fixed a bug with manual updates (NOTE: Manual updates are highly unrecommended; you should let Pancake update things for you).
* [Bug] Fixed a bug with viewing estimates.

### v3.1.2

* [Bug] Fixed a problem with the update system when PHP did not have ZipArchive installed.

### v3.1.1

* [Bug] Fixed a small bug in the update process.

### v3.1.0

Pancake 3.1 marks the end of manual upgrades. In Pancake 3.1, you are notified automatically when new versions become available, and you can update your Pancake automatically in one click. No configuration required. It couldn't be simpler. It's like using a hosted solution (instant updates without you having to do anything), but without the monthly fees!

* [Feature] Pancake Update System
* [Feature] You can now delete logged time entries from project tasks.
* [Feature] You can now set transaction fees associated with a payment. With PayPal payments, the transaction fee is set automatically.
* [Feature] When viewing a client's details, you can now create invoices for that client.
* [Feature] You can now delete your uploaded logo.
* [Feature] Pancake now has a brilliant CSS syntax highlighter to help you edit your custom CSS.
* [Bug] Fixed problems with frontend CSS not showing up on some pages.
* [Bug] Fixed problems with paid invoices showing as unpaid on the "Paid Invoices" page.
* [Bug] Fixed bug with toggling the completion status of tasks.
* [Bug] Fixed problem with uploads on Pancakes without .htaccess.
* [Bug] Fixed problem with .htaccess files on PHP under CGI mode.
* [Bug] Fixed problem with disabled payment gateways showing up as payment methods.
* [Bug] Fixed problem with lack of validation for time entries.
* [Bug] Fixed problem with datepicker not showing up in Payment Date, in Payment Details.
* [Bug] An auto-incremented invoice number now appears by default when creating invoices.
* [Bug] Fixed problems with Qty/Hrs and Rate fields in invoices forcing you back to the end of the input when you use navigation keys.
* [Bug] Fixed problems with pagination in some pages.

### v3.0.2

* [Feature] Support for Authorize.net as a payment method
* [Bug] Fixed problem with trying to add a new client while creating a proposal.
* [Bug] Fixed problems sending proposal emails to clients.
* [Bug] Improved the email configurations to guide people trying to configure SMTP emails.
* [Bug] Fixed wording problems in “delete estimate” page.
* [Bug] Fixed problem with AUD currency.
* [Bug] Fixed bug with toggling the completion status of tasks.

### v3.0.0

* [Feature] Proposals
* [Feature] Improved Time Tracking
* [Feature] Reports
* [Feature] RESTful API
* [Feature] Partial payments can be set up with different amounts, percentages and due dates.
* [Feature] Improved design for installer
* [Feature] “Client Health” shows how well the client keeps up with invoices
* [Feature] Admins can upload custom logos
* [Feature] Admins can edit CSS for both the admin panel and frontend from the CP
* [Feature] Switched to “auto-upgrades” for the database, just replace files to update
* [Feature] Themes can now have mobile versions by making just a few small changes
* [Feature] Timesheets show your time spent, multiple users will show with their usernames
* [Feature] “Copy to Clipboard” added to Invoice confirmation page

### v2.1.0

* [Feature] Added multi-currency support.
* [Bug] Recurring invoices stay marked as recurring.

### v2.0.2

* [Feature] Added "Time Interval" feature.
* [Bug] Tasks can now be reset to 0 hours.
* [Bug] Always include javascript controller, even if not using mod_rewrite.
* [Bug] Fixed clients dropdown for projects.
* [Bug] Stop tasks erroring if there are none.
* [Bug] Turned off CSRF protection, it was breaking PayPal.
* [Bug] Client dropdowns will now order alphabetically.
* [Bug] Removed CSS file import() as it doesnt exist.
* [Bug] Removed a few UNIX EPOC issues and stopped Simple Invoice viewing always showing $.
* [Bug] Switched installer to use file_get_contents() over curl for better portability on license checking.
* [Bug] Hide notes and details if none provided.

### v2.0.1

* [feature] Currencies can now be selected via dropdown on the settings page and currencies are populated via a config file.
* [Bug] Fixed invoice type in upgrade.
* [Bug] Will now show the users name, not the installed admin name.
* [Bug] Removed extra confirmation level to project deletion.
* [Bug] Making delete form look nicer
* [Bug] Delete Project will now redirect properly if installed in a sub-directory.
* [Bug] Editing user passwords now works.
* [Bug] Fixed Forgot Password link
* [Bug] No longer uses alert() to spit out HTML validation messages, uses red notification box instead.
* [Bug] Fixed IE7 issue.
* [Bug] Estimates with no Due Date will no longer list as 01/01/1970 and Invoice due dates are no longer required.

### v2.0

* A ton of bug fixes (too many to list)
* New admin UI
* Project Management, Tasks, Time Tracking
* Recurring Invoices (requires simple cron job)

### v1.1.4

* Added Estimates.
* Changed password fields in the installer to actual password inputs.
* Fixed an issue which limited the username to 15 characters.
* Fixed an issue where USD was always shown as the rate.
* Fixed an issue when you marked an invoice as paid it had no payment date set.
* Fixed an issue where quantities were forced to be integers.
* You can now enter negative rates on detailed invoices.
* Fixed some spelling errors and differences between wording for due and overdue invoices.
* Added the South Africa, Rand currency.
* You can now leave the invoice number blank on a new invoice to have one auto-generated.

### v1.1.3

* Fixes an issue preventing deletion of clients.
* Fixes an issue on the Paypal redirection form.

### v1.1.2

* New JS 'Pancake' object.
* The invoice Description and Notes now have WYSIWYG editors.
* Modified the routes.php file to easier add/remove routes
* Fixed an erroneous date on the Simple invoice view.
* Fixed issue with the assets library causing an issue when creating a PDF.
* Fixed a small bug that caused the first_name to be entered in the company field on Client edit.

### v1.1.1

* Added ability to see all invoices by simply clicking on the "Invoices" tab.
* Fixed a small bug that was causing the taxes to always default to the "Default" tax.
* Fixed a bug that caused a folder to get created in "uploads" even if no files were being uploaded.
* Fixed an issue when entering amounts with comma's in.
* Fixed bug where invoices were incorrectly showing as Unpaid on the "Past 30 Days" list.

### v1.1

* Renamed the "payments" table to "invoices".
* Some Schema changes to invoices.
* Added ability for Unlimited Tax Rates.
* Added RSS Feeds for Paid, Unpaid and Overdue invoices.
* Renamed "Payment Request" to "Simple Invoice" to clear up confusion.
* Re-arranged the Create Invoice page to be more clear and easier to use.
* Small UI changes
* Installer now checks for PHP version and that Curl is installed, which are both requirements.
* Some small issues were fixed by moving to the Unlimited Tax rates.
